<?php

namespace App\Console\Commands;

use App\Models\Video;
use App\Models\VideoView;
use Carbon\Carbon;
use Illuminate\Console\Command;
use Illuminate\Support\Facades\DB;

class UpdateVideoView extends Command
{
    /**
     * The name and signature of the console command.
     *
     * @var string
     */
    protected $signature = 'update:views';

    /**
     * The console command description.
     *
     * @var string
     */
    protected $description = 'Storing views today top 100 video and reset today views';

    /**
     * Create a new command instance.
     *
     * @return void
     */
    public function __construct()
    {
        parent::__construct();
    }

    /**
     * Execute the console command.
     *
     * @return int
     */
    public function handle()
    {
        $videos =  Video::toptoday()->limit(100)->get(['id as video_id', 'today_views as views']);
        $videos->each(function ($item) {
            VideoView::insert([
                'video_id' => $item->video_id, 'views' => $item->views,
                'created_at' => Carbon::now()->subDay(),
                'updated_at' => Carbon::now()
            ]);
        });

        $totalviews = Video::sum("today_views");
        DB::table("analysis")->insert([
            'total_views' => $totalviews,
            'created_at' => Carbon::now()->subDay(),
            'updated_at' => Carbon::now()
        ]);
        Video::query()->update(['today_views' => 0]);
        $this->info("Successfuly Data Updated");
    }
}
