<?php

namespace App\Http\Requests;

use App\Rules\LicenseVerfication;
use Illuminate\Foundation\Http\FormRequest;

class InstallerRequest extends FormRequest
{
    /**
     * Determine if the user is authorized to make this request.
     *
     * @return bool
     */
    public function authorize()
    {
        return true;
    }


    /**
     * Get the validation rules that apply to the request.
     *
     * @return array
     */
    public function rules()
    {
        return [
            'APP_NAME' => ['required', 'string', 'max:255'],
            'APP_TIMEZONE' => ['required', 'string', 'timezone'],
            'APP_URL' => ['required', 'url', 'max:255'],
            'DB_HOST' => ['required', 'string', 'max:255'],
            'DB_PORT' => ['required', 'integer', 'min:0', 'max:65535'],
            'DB_DATABASE' => ['required', 'string', 'max:255'],
            'DB_USERNAME' => ['required', 'string', 'max:255'],
            'DB_PASSWORD' => ['nullable', 'string', 'max:255'],
            'USER_NAME' => ['required', 'string', 'max:255'],
            'USER_EMAIL' => ['required', 'email'],
            'USER_ATTACHMENT' => ['required', 'file'],
        ];
    }
}
