<?php

namespace App\Http\Resources;
use Illuminate\Http\Resources\Json\JsonResource;
use MyConstant;

class PlaylistResource extends JsonResource
{
    /**
     * Transform the resource into an array.
     *
     * @param  \Illuminate\Http\Request  $request
     * @return array|\Illuminate\Contracts\Support\Arrayable|\JsonSerializable
     */
    public function toArray($request)
    {
        return [
            'id' => $this->getKey(),
            'url' => route('playlistvideos.all', ['slug' => $this->slug]),
            'name' => $this->name,
            'media' => [
                'html' => $this->getHtmlRender()
            ],
            'count' => $this->videos_count,
            'count_prefix' => trans("Videos"),
        ];
    }

    private function getHtmlRender()
    {
        if ($media = $this->getFirstMedia(MyConstant::THUMB_COLLECTION)) {
            return  $media->img()->conversion(MyConstant::THUMB)->lazy()->attributes(['class' => 'card-img', 'alt' => $this->name])->toHtml();
        }
        return '<img class="card-img" src="' . asset('images/default.jpg') . '" alt="' . $this->name . '" width="1280" height="720">';
    }
}
