<?php

namespace App\Http\Resources;

use Illuminate\Http\Resources\Json\JsonResource;
use MyConstant;

class VideoResource extends JsonResource
{
    /**
     * Transform the resource into an array.
     *
     * @param  \Illuminate\Http\Request  $request
     * @return array|\Illuminate\Contracts\Support\Arrayable|\JsonSerializable
     */
    public function toArray($request)
    {
        return [
            'id' => $this->getKey(),
            'url' => route('video.page', ['slug' => $this->slug]),
            'title' => $this->title,
            'duration' => $this->duration,
            'media' => [
                'html' => $this->getHtmlRender()
            ],
            'links' => route('video.links',['slug'=> $this->slug])
        ];
    }

    private function getHtmlRender()
    {
        if ($media = $this->getFirstMedia(MyConstant::THUMB_COLLECTION)) {
            return  $media->img()->conversion(MyConstant::THUMB)->lazy()->attributes(['class' => 'card-img', 'alt' => $this->title])->toHtml();
        }
        return '<img class="card-img" src="' . asset('images/default.jpg') . '" alt="' . $this->title . '" width="1280" height="720">';
    }
}
