<?php

namespace App\Installer;

class ServerRequirement
{
    public function phpExtensions()
    {
        return [
            'PHP >= 7.4.0' => version_compare(phpversion(), '7.4.0', '>='),
            'BCMath PHP Extension' => extension_loaded('bcmath'),
            'Ctype PHP Extension' => extension_loaded('ctype'),
            'Fileinfo PHP Extension' => extension_loaded('fileinfo'),
            'JSON PHP Extension' => extension_loaded('json'),
            'Mbstring PHP Extension' => extension_loaded('mbstring'),
            'OpenSSL PHP Extension' => extension_loaded('openssl'),
            'PDO PHP Extension' => extension_loaded('pdo'),
            'Tokenizer PHP Extension' => extension_loaded('tokenizer'),
            'XML PHP Extension' => extension_loaded('xml'),
            'Exif Image Information Extension' => extension_loaded('exif'),
            'GD Image Processing Extension' => extension_loaded('gd'),
        ];
    }

    public function directoriesPermissions()
    {
        return [
            'storage' => is_writable(storage_path()),
            'bootstrap/cache' => is_writable(app()->bootstrapPath('cache')),
        ];
    }

    public function check()
    {
        return collect($this->phpExtensions())
            ->merge($this->directoriesPermissions())
            ->every(function ($item) {
                return $item;
            });
    }
}
