<?php

namespace App\Listeners;

use App\Jobs\ConvertVideoForDownloading;
use App\Jobs\ConvertVideoForStreaming;
use App\Jobs\UpdateVideoInfo;
use App\Utils\MyConstant;
use Spatie\MediaLibrary\MediaCollections\Events\MediaHasBeenAdded;
use Spatie\MediaLibrary\MediaCollections\Models\Media;

class MediaVideoConverterListener
{

    protected Media $media;
    /**
     * Create the event listener.
     *
     * @return void
     */
    public function __construct()
    {
        //
    }

    /**
     * Handle the event.
     *
     * @param  object  $event
     * @return void
     */
    public function handle(MediaHasBeenAdded $event)
    {
        $this->media = $event->media;
    }

    protected function isVideo()
    {
        return (strpos($this->media->mime_type, 'video') !== false);
    }
}
