<?php

namespace App\Observers;

use App\Models\Category;

class CategoryObserver
{
    /**
     * Handle the Category "deleting" event.
     *
     * @param  \App\Models\Category  $category
     * @return void
     */
    public function deleting(Category $category)
    {
        $category->childrens()->each(function ($children) {
            $children->delete();
        });

        $category->videos()->each(function ($video) {
            $video->delete();
        });

        $category->metatags()->delete();
    }
}
