<?php

namespace App\Utils;

class FrontConst
{

    const UI = "UI";
    const UI_STYLE = "UI_STYLE";



    //Caching Constant
    const CACHE = [
        'home_trending' => "home_trending",
        'home_latest' => 'home_latest',
        'home_playlist' => 'home_playlist',
        'home_categories' => 'home_categories',
        'video_details' => 'video_details_',
        'video_releted' => 'releted_videos_',
        'video_releted_playlist' => 'v_releted_playlist_',
        'video_tags' => 'video_tags_',
        'category' => 'category_',
        'playlist' => 'playlist_',
    ];

    //Player Config

    const PLAYER_DEFAULT_QUALITY = [
        'default' => 480,
        'options' => [4320, 2880, 2160, 1440, 1148, 1080, 860, 720, 574, 576, 480, 360, 240]
    ];


    //Model Attributes
    const VIDEO_ITEMS_COLUMNS = ['id', 'slug', 'title', 'duration'];
    const PLAYLIST_ITEMS_COLUMNS = ['id', 'slug', 'name'];
    const CATEGORY_ITEMS_COLUMNS = ['id', 'slug', 'name'];
    const MODEL_MEDIA = "media";


    //LIMIT
    const DEFAULT_VIDEOS_PER_PAGE = 12;
    const DEFAULT_PLAYLISTS_PER_PAGE = 12;
    const DEFAULT_CATEGORIES_PER_PAGE = 12;
    const LIMIT_DEFAULT_HOME = 12;
    const LIMIT_DEFAULT_VIDEO_RELETED = 8;
    const LIMIT_DEFAULT_RELETED_PLAYLIST = 3;

    const LIMIT_HOME_TREND_DAY = "home_trending_day";
    const LIMIT_HOME_TREND = "home_trending_limit";
    const LIMIT_HOME_LATEST = "home_latest_limit";
    const LIMIT_HOME_CATEGORY = "home_category_limit";
    const LIMIT_HOME_PLAYLIST = "home_playlist_limit";
    const LIMIT_VIDEO_RELETED = 'video_releted_limit';
    const LIMIT_RELETED_PLAYLIST_LIMIT  = 'video_releted_playlist';
    //LIMIT PERPAGE
    const LIMIT_PER_PAGE_VIDEOS = "limit_per_page_videos";
    const LIMIT_PER_PAGE_CATEGORIES = "limit_per_page_categories";
    const LIMIT_PER_PAGE_PLAYLISTS = "limit_per_page_playlist";



    //Ye can replace it sorting fillter;
    const SORT_LATEST = 'latest';
    const SORT_RELEVANCE = 'relevance';
    const SORT_TRENDING = 'trending';
    const SORT_OLDEST = 'oldest';
    const SORT_AZ = 'az';
    const SORT_ZA = 'za';
    const SORT_TODAY = 'today';
    const SORT_YESTERDAY = 'yesterday';
    const SORT_WEEK = 'week';
    const SORT_MONTH = 'month';
    const SORT_SEMI = 'semiannualy';
    const SORT_ANNUAL = 'annualy';

    //You also change default sorting to below
    const SORT_VIDEO_DEFAULT = 'latest';
    const SORT_DEFAULT_PLAYLIST_VIDEOS = "latest";

    //Paging
    const PAGING = 'paginate_ajax';

    /**
     * OG DEFAULT COver Image
     */

    const META_OG_IMAGE = "images/cover.jpg";



    /**
     * get Cache Expire Interval
     *@return \Illuminate\Support\Carbon
     */
    public static function getCacheExpire()
    {
        return now()->addMinute();
    }
}
