<?php

namespace App\View\Components;

use Illuminate\View\Component;
use Illuminate\Support\Collection;

class CategoryGrid extends Component
{
    public  $categories;

    /**
     * Create a new component instance.
     *
     * @param $categories
     * @param array|null $pagination
     */
    public function __construct($categories)
    {
        $this->categories = $categories;
    }

    /**
     * Get the view / contents that represent the component.
     *
     * @return \Illuminate\Contracts\View\View|\Closure|string
     */
    public function render()
    {
        return view('components.category-grid');
    }

    public function getUrl($count, $slug)
    {
        if ($count == 0 || $count == null) {
            return route('categoryvideos.all', ['slug' => $slug]);
        }
        return  route('subcategory.all', ['slug' => $slug]);
    }
}
