<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreateVideosTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */

    public function up()
    {
        Schema::create('videos', function (Blueprint $table) {
            $table->id();
            $table->string('slug')->unique();
            $table->string("title");
            $table->foreignId('user_id')->constrained();
            $table->foreignId('category_id')->nullable()->constrained();
            $table->string('youtube_id', 11)->nullable()->index();
            $table->string('url')->nullable();
            $table->string('duration', 10)->nullable();
            $table->unsignedBigInteger('likes')->default(0);
            $table->unsignedBigInteger('unlikes')->default(0);
            $table->unsignedBigInteger('today_views')->default(0);
            $table->unsignedBigInteger('views')->default(0);
            $table->boolean('is_download')->default(false);
            $table->text('tags')->nullable();
            $table->text('description')->nullable();
            $table->boolean('featured')->default(false);
            $table->timestamp('published_at')->nullable();
            $table->unsignedTinyInteger("is_uploaded")->default(0);
            $table->boolean('active')->default(false);
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('videos');
    }
}
