<?php

namespace Database\Seeders;

use App\Models\User;
use Illuminate\Database\Seeder;

use Spatie\Permission\Models\Role;
use Spatie\Permission\Models\Permission;
use Hash;

class CreateUserTableSeeder extends Seeder
{
    /**
     * Run the database seeds.
     *
     * @return void
     */
    public function run()
    {
        //SuperAdmin
        $superAdmin = User::create([
            'name' => 'Super Admin',
            'email' => 'super@admin.com',
            'password' => Hash::make('super')
        ]);

        $superRole = Role::create(['name' => 'Super Admin']);
        $superAdmin->assignRole($superRole);

        //Admin

        $normalAdmin = User::create([
            'name' => 'Admin',
            'email' => 'admin@admin.com',
            'password' => Hash::make('admin')
        ]);

        $role = Role::create(['name' => 'Admin']);
        $permissions = Permission::all();
        $role->syncPermissions($permissions);
        $normalAdmin->assignRole($role);


        
        $User = User::create([
            'name' => 'User',
            'email' => 'user@admin.com',
            'password' => Hash::make('user')
        ]);
        $userRole = Role::create(['name' => 'User']);
        $User->assignRole($userRole);

    }
}
