@extends('Backend.layouts.app')
@section('content')
    <div class="container-fluid">
        <nav aria-label="breadcrumb">
            <ol class="breadcrumb">
                <li class="breadcrumb-item">{!! link_to_route('dashboard', __('admin.Home')) !!}</li>
                <li class="breadcrumb-item">{!! link_to_route('category.index', __('admin.Categories')) !!}</li>
            </ol>
        </nav>

        <div class="row justify-content-center">
            <div class="col-md-8">
                <div class="card shadow mb-4">
                    <div class="card-header">
                        <div class="d-flex justify-content-between">
                            <h6 class="m-0 font-weight-bold text-primary"><i class="fas fa-info-circle"></i>
                                {{ __('admin.show', ['name' => 'Category']) }}
                            </h6>
                        </div>
                    </div>
                    <div class="card-body">
                        <div class="d-flex flex-wrap flex-md-nowrap justify-content-center">
                            @if ($media = $category->getFirstMedia(MyConstant::THUMB_COLLECTION))
                                <div class="img-container align-self-center m-2">
                                    {{ $media->img()->conversion(MyConstant::THUMB)->attributes(['alt' => $category->name, 'class' => 'img-thumbnail']) }}
                                </div>
                            @endif
                            <div class="table-responsive">
                                <table class="table table-bordered text-dark">
                                    <tbody>
                                        <tr>
                                            <td>Id:</td>
                                            <td>{{ $category->id }}</td>
                                        </tr>
                                        <tr>
                                            <td>Name:</td>
                                            <td>{{ $category->name }}</td>
                                        </tr>
                                        <tr>
                                            <td>Childrens:</td>
                                            <td>{{ $category->childrens_count }}</td>
                                        </tr>
                                        <tr>
                                            <td>Order:</td>
                                            <td>{{ $category->ord }}</td>

                                        </tr>
                                        <tr>
                                            <td>Status:</td>
                                            <td> {!! $category->status !!}
                                            </td>
                                        </tr>

                                        <tr>
                                            <td>CreatedAt:</td>
                                            <td> {!! $category->created_at !!}
                                            </td>
                                        </tr>

                                        <tr>
                                            <td>UpdatedAt:</td>
                                            <td> {!! $category->updated_at !!}
                                            </td>
                                        </tr>

                                    </tbody>
                                </table>
                            </div>
                        </div>

                        @if ($category->description)
                                    <div class="show-more text-dark">
                                        {!! $category->description !!}
                                    </div>
                                    <button class="show-more-button btn btn-outline-dark btn-sm" data-more-title="Read More"
                                        data-less-title="Read Less"><i class="fas fa-angle-down"></i></button>
                        @endif
                        {!! Form::open(['route' => ['category.destroy', 'category' => $category], 'id' => 'deleteForm', 'method' => 'DELETE']) !!}
                        {!! Form::close() !!}
                        <div class="d-flex justify-content-between">
                            <a href="{{ url()->previous() }}" class="btn btn-dark"><span
                                    class="fas fa-arrow-left"></span> Back</a>
                            @can('category.edit')
                                <a href="{{ route('category.edit', ['category' => $category]) }}"
                                    class="btn btn-success"><span class="fas fa-edit"></span> Edit</a>
                            @endcan
                            
                            @can('category.delete')
                            <a href="#" class="btn btn-danger submitDelete"><span class="fas fa-trash"></span> Delete</a>
                            @endcan
                        </div>

                    </div>
                </div>
            </div>
        </div>
    </div>

@endsection
