<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
    <meta name="csrf-token" content="{{ csrf_token() }}">
    <title>{{ config('app.name') }} - Dashboard</title>
    <!-- Custom fonts for this template-->
    <link href="{{ asset('assets/dashboard/vendor/fontawesome-free/css/all.min.css') }}" rel="stylesheet" type="text/css">
    <link href="https://fonts.googleapis.com/css?family=Nunito:200,200i,300,300i,400,400i,600,600i,700,700i,800,800i,900,900i" rel="stylesheet">
    <!-- Custom styles for this template-->
    <link href="{{ asset('assets/dashboard/css/admin.css') }}" rel="stylesheet">
    <link href="{{ asset('assets/dashboard/vendor/jquery/jquery-ui.min.css') }}" rel="stylesheet">
    <link href="{{ asset('assets/dashboard/vendor/bootstrap-sweetalert-master/dist/sweetalert.css') }}" rel="stylesheet">
    <link href="{{ asset('assets/dashboard/vendor/datatables/datatables.min.css') }}" rel="stylesheet">
    <link href="{{ asset('assets/dashboard/vendor/trumbowyg/dist/ui/trumbowyg.min.css') }}" rel="stylesheet">
    <link href="{{ asset('assets/dashboard/vendor/bootstrap4-toggle/css/bootstrap4-toggle.min.css')}}" rel="stylesheet">
    <link href="{{ asset('assets/dashboard/vendor/select2/css/select2.min.css') }}" rel="stylesheet">
    <link href="{{ asset('assets/dashboard/vendor/select2/css/select-bootstrap-theme.min.css') }} " rel="stylesheet">
    <link href="{{ asset('assets/dashboard/vendor/cropperjs/dist/cropper.min.css')}}" rel="stylesheet" />
    @stack('styles')
</head>

<body id="page-top" class="sidebar-toggled">
    <!-- Page Wrapper -->
    <div id="wrapper">
        <!-- Sidebar -->
        @include('Backend.layouts.sidebar')
        <!-- End of Sidebar -->
        <!-- Content Wrapper -->
        <div id="content-wrapper" class="d-flex flex-column">
            <!-- Main Content -->
            <div id="content">
                <!-- Topbar -->
                <nav class="navbar navbar-expand navbar-light bg-white topbar mb-2 static-top shadow">

                    <!-- Sidebar Toggle (Topbar) -->
                    <button id="sidebarToggleTop" class="btn btn-link d-md-none rounded-circle mr-3">
                        <i class="fa fa-bars"></i>
                    </button>

                    {{-- d-none d-sm-inline-block mr-auto ml-md-3 my-2 my-md-0 mw-100 --}}
                    <div class="w-100">
                        <div class="d-flex justify-content-between">
                            <a class="btn btn-outline-primary d-none d-md-block" target="_blank" href="{{ config('app.url') }}"><i
                                class="fas fa-home fa-fw"></i></a>
                                <button type="button" id="cacheClear" class="btn btn-outline-danger float-end"><i
                                    class="fas fa-archive fa-sm fa-fw text-gray-400"></i> {{ trans('Clear Cache') }}</button>
                                </div>      
                    </div>
                    <!-- Topbar Navbar -->
                    <ul class="navbar-nav ml-auto">

                        <div class="topbar-divider d-none d-sm-block"></div>

                        <!-- Nav Item - User Information -->
                        <li class="nav-item dropdown no-arrow">
                            <a class="nav-link dropdown-toggle" href="#" id="userDropdown" role="button"
                                data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
                                <span class="mr-2 d-none d-lg-inline text-gray-600 small">{{ Auth::user()->name
                                    }}</span>
                                <img class="img-profile rounded-circle"
                                    src="{{ asset('assets/dashboard/images/undraw_profile.svg') }}">
                            </a>
                            <!-- Dropdown - User Information -->
                            <div class="dropdown-menu dropdown-menu-right shadow animated--grow-in"
                                aria-labelledby="userDropdown">
                                <a class="dropdown-item" href="{{ route('users.profile') }}">
                                    <i class="fas fa-user fa-sm fa-fw mr-2 text-gray-400"></i>
                                    Profile
                                </a>
                                <div class="dropdown-divider"></div>
                                <a class="dropdown-item" href="#" data-toggle="modal" data-target="#logoutModal">
                                    <i class="fas fa-sign-out-alt fa-sm fa-fw mr-2 text-gray-400"></i>
                                    Logout
                                </a>
                            </div>
                        </li>

                    </ul>

                </nav>
                <!-- End of Topbar -->

                {{-- Container --}}
                @yield('content')
                {{-- End Container --}}

            </div>
            <!-- Footer -->
            <footer class="sticky-footer bg-white">
                <div class="container my-auto">
                    <div class="copyright text-center my-auto">
                        <span>@lang("Copyright") &copy; {{ config('app.name') }}</span>
                    </div>
                </div>
            </footer>
            <!-- End of Footer -->

        </div>
        <!-- End of Content Wrapper -->

    </div>
    <!-- End of Page Wrapper -->
    <!-- Scroll to Top Button-->
    <a class="scroll-to-top rounded" href="#page-top">
        <i class="fas fa-angle-up"></i>
    </a>
    <!-- Logout Modal-->
    <div class="modal fade" id="logoutModal" tabindex="-1" role="dialog" aria-labelledby="LogoutModalLabel"
        aria-hidden="true">
        <div class="modal-dialog" role="document">
            <div class="modal-content">
                <div class="modal-header">
                    <h5 class="modal-title" id="LogoutModalLabel">Ready to Leave?</h5>
                    <button class="close" type="button" data-dismiss="modal" aria-label="Close">
                        <span aria-hidden="true">x</span>
                    </button>
                </div>
                <div class="modal-body">Select "Logout" below if you are ready to end your current session.</div>
                <div class="modal-footer">
                    <button class="btn btn-secondary" type="button" data-dismiss="modal">Cancel</button>
                    {!! Form::open(['route'=>'logout']) !!}
                    <button type="submit" class="btn btn-primary" href="{{ route('logout') }}">Logout</button>
                    {!! Form::close() !!}
                </div>
            </div>
        </div>
    </div>

    <!-- Bootstrap core JavaScript-->
    <script src="{{ asset('assets/dashboard/vendor/jquery/jquery.min.js') }}"></script>
    <script src="{{ asset('assets/dashboard/vendor/bootstrap/js/bootstrap.bundle.min.js') }}"></script>
    <script src="{{ asset('assets/dashboard/vendor/bs-custom-file-input/dist/bs-custom-file-input.min.js') }}"></script>
    <!-- Core plugin JavaScript-->
    <script src="{{ asset('assets/dashboard/vendor/jquery/jquery-ui.min.js') }}"></script>
    <script src="{{ asset('assets/dashboard/vendor/trumbowyg/dist/trumbowyg.min.js') }}"></script>
    <script src="{{ asset('assets/dashboard/vendor/jquery-easing/jquery.easing.min.js') }}"></script>
    <script src="{{ asset('assets/dashboard/vendor/bootstrap-sweetalert-master/dist/sweetalert.min.js') }}"></script>
    <script src="{{ asset('assets/dashboard/vendor/datatables/datatables.min.js') }}"></script>
    <script src="{{ asset('assets/dashboard/vendor/select2/js/select2.min.js') }}"></script>
    <script src="{{ asset('assets/dashboard/vendor/cropperjs/dist/cropper.min.js')}}"></script>
    <script src="{{ asset('assets/dashboard/vendor/bootstrap4-toggle/js/bootstrap4-toggle.min.js')}}"></script>
    <script src="{{ asset('assets/dashboard/js/resumable.min.js') }}"></script>
    <script src="{{ asset('assets/dashboard/js/sb-admin-2.min.js') }}"></script>
    @stack('scripts')
<script>
    window.routes = {
        clearcache: "{{route("dashboard.clearcache")}}"
    }
</script>
    <script src="{{ asset('assets/dashboard/js/app.js') }}"></script>
</body>
</html>