@extends('Backend.layouts.app')
@section('content')
    <div class="container-fluid">
        <div class="row">
            <div class="col-xl-3 col-md-6 mb-4">
                <a class="text-decoration-none" href="{{ route('videos.index') }}">
                    <div class="card border-left-primary shadow h-100 py-2">
                        <div class="card-body">
                            <div class="row no-gutters align-items-center">
                                <div class="col mr-2">
                                    <div class="text-xs font-weight-bold text-primary text-uppercase mb-1">
                                        {{ __('admin.Videos') }}</div>
                                    <div class="h5 mb-0 font-weight-bold text-gray-800">{{ $data['videos'] }}</div>
                                </div>
                                <div class="col-auto">
                                    <i class="fas fa-list fa-2x text-gray-300"></i>
                                </div>
                            </div>
                        </div>
                    </div>
                </a>
            </div>
            <div class="col-xl-3 col-md-6 mb-4">
                <a class="text-decoration-none" href="{{ route('playlists.index') }}">
                    <div class="card border-left-success shadow h-100 py-2">
                        <div class="card-body">
                            <div class="row no-gutters align-items-center">
                                <div class="col mr-2">
                                    <div class="text-xs font-weight-bold text-success text-uppercase mb-1">
                                        {{ __('admin.Playlists') }}</div>
                                    <div class="h5 mb-0 font-weight-bold text-gray-800">{{ $data['playlists'] }}</div>
                                </div>
                                <div class="col-auto">
                                    <i class="fas fa-list fa-2x text-gray-300"></i>
                                </div>
                            </div>
                        </div>
                    </div>
                </a>
            </div>
            <div class="col-xl-3 col-md-6 mb-4">
                <a class="text-decoration-none" href="{{ route('videos.create') }}">
                    <div class="card border-left-info shadow h-100 py-2">
                        <div class="card-body">
                            <div class="row no-gutters align-items-center">
                                <div class="col mr-2">
                                    <div class="text-xs font-weight-bold text-success text-uppercase mb-1">
                                        Uploads</div>
                                    <div class="h5 mb-0 font-weight-bold text-gray-800">{{ $data['upload'] }}</div>
                                </div>
                                <div class="col-auto">
                                    <i class="fas fa-upload fa-2x text-gray-300"></i>
                                </div>
                            </div>
                        </div>
                    </div>
                </a>
            </div>
            <div class="col-xl-3 col-md-6 mb-4">
                <div class="card border-left-warning shadow h-100 py-2">
                    <div class="card-body">
                        <div class="row no-gutters align-items-center">
                            <div class="col mr-2">
                                <div class="text-xs font-weight-bold text-warning text-uppercase mb-1">
                                    Views</div>
                                <div class="h5 mb-0 font-weight-bold text-gray-800">{{ $data['views'] }}</div>
                            </div>
                            <div class="col-auto">
                                <i class="fas fa-eye fa-2x text-gray-300"></i>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
        <div class="row">
            <div class="col-md-8">
                <div class="card shadow mb-4">
                    <div class="card-header">
                        <div class="d-flex justify-content-between">
                            <h6 class="m-0 font-weight-bold text-primary align-self-center">Views Overview</h6>
                            <div class="form-row">
                                <div class="col">
                                    <div class="input-group">
                                        <div class="input-group-prepend">
                                            <div class="input-group-text">Start</div>
                                        </div>
                                        {!! Form::date('start_date', now()->subWeek(), ['class' => 'form-control', 'id' => 'statistic_start']) !!}
                                    </div>
                                </div>
                                <div class="col">
                                    <div class="input-group">
                                        <div class="input-group-prepend">
                                            <div class="input-group-text">End</div>
                                        </div>
                                        {!! Form::date('end_date', now(), ['class' => 'form-control', 'id' => 'statistic_end']) !!}
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                    <div class="card-body">
                        <div class="chart-area">
                            <canvas id="statisticscharts"></canvas>
                        </div>
                    </div>
                </div>
            </div>

            <div class="col-md-4">
                <div class="card shadow mb-4">
                    <div class="card-header">
                        <h6 class="m-0 font-weight-bold text-primary">System Overview</h6>
                    </div>
                    <div class="card-body">
                        <table class="table table-bordered tx-gray-700 bd ">
                            <tbody>
                                <tr>
                                    <td>Server IP</td>
                                    <td class="text-success">{{ $data['server_ip'] }}</td>
                                </tr>
                                <tr>
                                    <td>Your PC IP</td>
                                    <td class="text-primary">{{ $data['user_ip'] }}</td>
                                </tr>
                                <tr>
                                    <td>Server Date & Time </td>
                                    <td class="text-warning">
                                        {{ $data['server_date'] }}
                                    </td>
                                </tr>
                                <tr>
                                    <td>File Upload Limit:</td>
                                    <td class="text-danger">{{ $data['upload_limit'] }}</td>
                                </tr>
                                <tr>

                                    <td>Server Disk Space</td>
                                    <td class="text-danger">{{ $data['disk_total'] }}</td>

                                </tr>
                                <tr>
                                    <td>Server Disk Space Free</td>
                                    <td class="text-danger"> {{ $data['disk_free'] }}</td>
                                </tr>
                            </tbody>
                        </table>

                    </div>
                </div>
            </div>

        </div>


        <div class="alert alert-info mt-4">
            Video Section FAQ:
            <ul>
                <li>If blank filled Meta Title, Description and Keywords then Automatic Generated.</li>
                <li>if Copy File to server filled is "NO" then file store to server and video conversion automatic disabled!
                </li>
                <li>If your server FFMPEG is not exists then video not converted.</li>
                <li>Double click on description box then show HTML Editor</li>
            </ul>
        </div>
    </div>
@endsection

@push('scripts')
    <script src="{{ asset('assets/dashboard/vendor/chart-js/Chart.min.js') }}"></script>
    <script src="{{ asset('assets/dashboard/js/statistics.min.js') }}"></script>
@endpush
