<ul class="navbar-nav bg-light sidebar sidebar-light accordion toggled" id="accordionSidebar">
    <!-- Sidebar - Brand -->
    <a class="sidebar-brand d-flex align-items-center justify-content-center" href="{{ route('dashboard') }}">
        <div class="sidebar-brand-icon rotate-n-15">
            <i class="fas fa-video"></i>
        </div>
        <div class="sidebar-brand-text mx-3">{{ config('app.name') }}</div>
    </a>
    <!-- Divider -->
    <hr class="sidebar-divider my-0">
    <!-- Divider -->
    <hr class="sidebar-divider">


    <div class="sidebar-heading">
        Manage
    </div>

    @canany(['category.index', 'category.edit', 'category.delete'])
        <li class="nav-item">
            <a class="nav-link" href="{{ route('category.index') }}">
                <i class="fas fa-fw fa-folder"></i>
                <span> {{ __('admin.Categories') }}</span></a>
        </li>
    @endcanany

    @canany(['videos.index', 'videos.create', 'videos.edit', 'videos.delete'])
        <li class="nav-item">
            <a class="nav-link" href="{{ route('videos.index') }}">
                <i class="fas fa-fw fa-video"></i>
                <span>{{ __('admin.Videos') }}</span>
            </a>
        </li>
    @endcanany

    @canany(['playlists.index', 'playlists.edit', 'playlists.delete'])
        <li class="nav-item">
            <a class="nav-link" href="{{ route('playlists.index') }}">
                <i class="fas fa-fw fa-list"></i>
                <span> {{ __('admin.Playlists') }}</span></a>
        </li>
    @endcanany

    @canany(['pages.index', 'pages.edit', 'pages.delete'])
    <li class="nav-item">
        <a class="nav-link" href="{{ route('pages.index') }}">
            <i class="fas fa-fw fa-list"></i>
            <span> {{ __('admin.Pages') }}</span></a>
    </li>
    @endcanany

    @canany(['users.index', 'users.create', 'users.edit', 'users.delete', 'roles.index', 'roles.create', 'roles.edit',
        'roles.delete'])
        <!-- Divider -->
        <hr class="sidebar-divider">
        <!-- Heading -->
        <div class="sidebar-heading">
            {{ __('admin.System') }}
        </div>
        <li class="nav-item">
            <a class="nav-link collapsed" href="#" data-toggle="collapse" data-target="#users" aria-expanded="true"
                aria-controls="users">
                <i class="fas fa-fw fa-users"></i>
                <span>{{ __('admin.Users') }}</span>
            </a>
            <div id="users" class="collapse" aria-labelledby="users" data-parent="#accordionSidebar">
                <div class="bg-white py-2 collapse-inner rounded">
                    @canany(['users.index', 'users.create', 'users.edit', 'users.delete'])
                        <a class="collapse-item" href="{{ route('users.index') }}"><i class="fas fa-fw fa-list"></i>
                            {{ __('admin.Users') }}</a>
                    @endcanany
                    @canany(['roles.index', 'roles.create', 'roles.edit', 'roles.delete'])
                        <a class="collapse-item" href="{{ route('roles.index') }}"><i class="fas fa-fw fa-user-tag"></i>
                            {{ __('admin.Roles') }}</a>
                    @endcanany
                </div>
            </div>
        </li>
    @endcanany
    @can('settings.edit')
        <li class="nav-item">
            <a class="nav-link collapsed" href="#" data-toggle="collapse" data-target="#settings" aria-expanded="false"
                aria-controls="users">
                <i class="fas fa-fw fa-cogs"></i>
                <span>{{ __('admin.Settings') }}</span>
            </a>
            <div id="settings" class="collapse" aria-labelledby="settings" data-parent="#accordionSidebar">
                <div class="bg-white py-2 collapse-inner rounded">
                    <a class="collapse-item" href="{{ route('settings.index', ['action' => 'general']) }}"><i
                            class="fas fa-fw fa-cog"></i>
                        {{ __('admin.General') }}
                    </a>
                    <a class="collapse-item" href="{{ route('settings.index', ['action' => 'mail']) }}"><i
                            class="fas fa-fw fa-envelope"></i>
                        {{ __('admin.Mail') }}
                    </a>
                    <a class="collapse-item" href="{{ route('settings.index', ['action' => 'theme']) }}"><i
                        class="fas fa-fw fa-tachometer-alt"></i>
                    {{ __('admin.Theme') }}
                </a>
                    <a class="collapse-item" href="{{ route('settings.index', ['action' => 'ads']) }}"><i
                            class="fas fa-fw fa-code"></i>
                        {{ __('admin.Ads') }}
                    </a>
                    <a class="collapse-item" href="{{ route('settings.index', ['action' => 'routing']) }}"><i
                        class="fas fa-fw fa-link"></i>
                    {{ __('admin.Routing') }}
                </a>
                </div>
            </div>
        </li>
    @endcan
    <!-- Divider -->
    <hr class="sidebar-divider d-none d-md-block">
    <!-- Sidebar Toggler (Sidebar) -->
    <div class="text-center d-none d-md-inline">
        <button class="rounded-circle border-0" id="sidebarToggle"></button>
    </div>
</ul>
