@extends('Backend.layouts.app')

@section('content')

<div class="container-fluid">
    <nav aria-label="breadcrumb">
        <ol class="breadcrumb">
            <li class="breadcrumb-item">{!! link_to_route('dashboard', __('admin.Home')) !!}</li>
            <li class="breadcrumb-item">{!! link_to_route('pages.index', __('admin.Pages')) !!}</li>
        </ol>
    </nav>
    <div class="row justify-content-center">
        <div class="col-md-8">
            <div class="card shadow mb-4">
                <div class="card-header">
                    <div class="d-flex justify-content-between">
                        <h6 class="m-0 font-weight-bold text-primary"><i class="fas fa-edit"></i>
                            {{ __('admin.edit',['name'=>'Page']) }}</h6>
                    </div>
                </div>
                <div class="card-body">
                    @if ($errors->any())
                    <x-validation type="danger" :message="$errors->all()" />
                    @endif
                    {!! Form::open(['route' => ['pages.destroy', 'page' => $page], 'id' => 'deleteForm', 'method' => 'DELETE']) !!}
                    {!! Form::close() !!}

                    <div class="d-flex justify-content-between mb-3">
                        <a href="{{ url()->previous() }}" class="btn btn-dark"><span
                                class="fas fa-arrow-left"></span> Back</a>
                        
                        @can('pages.delete')
                            <a href="#" class="btn btn-danger submitDelete"><span class="fas fa-trash"></span> Delete</a>
                        @endcan
                    </div>

                    {!! Form::model($page,['route'=> ['pages.update', $page],'method'=>'PUT']) !!}
                    <div class="form-group row">
                        {!! Form::label(null, __('label.Title'), ['class'=> "col-md-3
                        col-form-label"])
                        !!}
                        <div class="col-md-9">
                            {!! Form::text('title', null, ['class'=>'form-control']) !!}
                        </div>
                    </div>

                    <div class="form-group row">
                        {!! Form::label(__('label.Url'), __('label.Url'), ['class'=> "col-md-3
                        col-form-label"])
                        !!}
                        <div class="col-md-9">
                            {!! Form::text('url', null, ['class'=>'form-control']) !!}
                        </div>
                    </div>

                    
                    <div class="form-group row">
                        {!! Form::label(__('label.Content'), __('label.Content'), ['class'=> "col-md-3
                        col-form-label"])
                        !!}
                        <div class="col-md-9">
                            {!! Form::textarea('content', null, ['class'=>'form-control editor']) !!}
                        </div>
                    </div>

                    <div class="form-group row">
                        {!! Form::label(null, __('label.Order'), ['class'=> "col-md-3 col-form-label'"]) !!}
                        <div class="col-md-2">
                            {!! Form::number("ord", null, ['class'=>"form-control"]) !!}
                        </div>
                    </div>

                    <div class="form-group row">
                        {!! Form::label(null, __('label.Status'), ['class'=> "col-md-3 col-form-label'"]) !!}
                        <div class="col-md-9">
                            {!! Form::checkbox('active', true, null, ["data-on"=>"Active","data-off"=>"Block",
                            'data-toggle'=>'toggle',"data-onstyle"=>"success"])
                            !!}
                        </div>
                    </div>


                    <div class="row justify-content-end">
                        {!! Form::button('<i class="fas fa-check"></i> '.__('form.Submit'),['type'=>'submit','class'=>'btn btn-primary'])!!}

                    </div>
                </div>


            </div>
        </div>
    </div>
</div>

@endsection