@extends('Backend.layouts.app')
@section('content')
    <div class="container-fluid">
        <nav aria-label="breadcrumb">
            <ol class="breadcrumb">
                <li class="breadcrumb-item">{!! link_to_route('dashboard', __('admin.Home')) !!}</li>
                <li class="breadcrumb-item">{!! link_to_route('pages.index', __('admin.Pages')) !!}</li>
            </ol>
        </nav>

        <div class="row justify-content-center">
            <div class="col-md-8">
                <div class="card shadow mb-4">
                    <div class="card-header">
                        <div class="d-flex justify-content-between">
                            <h6 class="m-0 font-weight-bold text-primary"><i class="fas fa-info-circle"></i>
                                {{ __('admin.show', ['name' => 'Page']) }}
                            </h6>
                        </div>
                    </div>
                    <div class="card-body">
                        <h3>{{ $page->title }}</h3>
                        {!! $page->content !!}
                        {!! Form::open(['route' => ['pages.destroy', 'page' => $page], 'id' => 'deleteForm', 'method' => 'DELETE']) !!}
                        {!! Form::close() !!}
                        <div class="d-flex justify-content-between">
                            <a href="{{ url()->previous() }}" class="btn btn-dark"><span
                                    class="fas fa-arrow-left"></span> Back</a>

                            @can('pages.edit')
                                <a href="{{ route('pages.edit', ['page' => $page]) }}" class="btn btn-success"><span
                                        class="fas fa-edit"></span> Edit</a>
                            @endcan

                            @can('pages.delete')
                                <a href="#" class="btn btn-danger submitDelete"><span class="fas fa-trash"></span> Delete</a>
                            @endcan
                        </div>

                    </div>
                </div>
            </div>
        </div>
    </div>
@endsection
