@extends('Backend.layouts.app')
@section('content')
    <div class="container-fluid">
        <div class="row">
            <div class="col-md-12">
                <div class="card shadow mb-4">
                    <div class="card-body">
                        <div class="row justify-content-between mb-2">
                            <h5 class="text-primary ml-2 heading"><i class="fas fa-fw fa-list"></i>
                                {{ __('admin.Playlists') }}</h5>
                            @can('playlists.create')
                                <a href="{{ route('playlists.create') }}" class="btn btn-outline-info context-menu-one"><i
                                        class="fas fa-plus" aria-hidden="true"></i>
                                    {{ __('admin.add', ['name' => 'Playlist']) }}</a>
                            @endcan
                        </div>
                        @if (session('success'))
                            <x-alert type="success" :message="session('success')" />
                        @endif
                        @if (session('error'))
                            <x-alert type="danger" :message="session('error')" />
                        @endif
                        <div class="table-responsive">
                            <table id="datalist" style="user-select:none;cursor: pointer;" name="playlists"
                                class="text-dark table nowrap table-bordered playlists table-hover" width="100%">
                                <thead>
                                    <tr>
                                        <th>Id</th>
                                        <th>Thumb</th>
                                        <th>Name</th>
                                        <th>Videos</th>
                                        <th>Status</th>
                                        <th>ModifiedAt</th>
                                    </tr>
                                </thead>
                            </table>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
@endsection
@push('styles')
    <link rel="stylesheet"
        href="{{ asset('assets/dashboard/vendor/jquery-contextmenu/dist/jquery.contextMenu.min.css') }}">
@endpush

@push('scripts')
    <script>
        window.app = {
            rowContext: @json($contextmenu)
        }
    </script>
    <script src="{{ asset('assets/dashboard/vendor/jquery-contextmenu/dist/jquery.contextMenu.min.js') }}"></script>
    <script src="{{ asset('assets/dashboard/vendor/jquery-contextmenu/dist/jquery.ui.position.js') }}"></script>
    <script src="{{ asset('assets/dashboard/js/context.js') }}"></script>
@endpush
