@extends('Backend.layouts.app')

@section('content')

<div class="container-fluid">
    <nav aria-label="breadcrumb">
        <ol class="breadcrumb">
            <li class="breadcrumb-item">{!! link_to_route('dashboard', __('admin.Home')) !!}</li>
            <li class="breadcrumb-item">{!! link_to_route('roles.index', __('Admin.Roles')) !!}</li>
        </ol>
    </nav>
    <div class="row justify-content-center">
        <div class="col-md-8">
            <div class="card shadow mb-4">
                <div class="card-header">
                    <div class="d-flex justify-content-between">
                        <h6 class="m-0 font-weight-bold text-primary"><i class="fas fa-plus"></i> {{
                            __('admin.edit',['name'=>'Role']) }}
                        </h6>
                    </div>
                </div>
                <div class="card-body">
                    @if ($errors->any())
                    <x-validation type="danger" :message="$errors->all()" />
                    @endif
                    

                    <div class="d-flex justify-content-between mb-3">
                        <a href="{{ route('roles.index')}}" class="btn btn-dark"><span class="fas fa-arrow-left"></span>
                            Back</a>
                            @can("roles.delete")
                            <a href="#" class="btn btn-danger submitDelete"><span class="fas fa-trash"></span> Delete</a>
                            @endcan
                    </div>


                    {!! Form::open(['route' => ['roles.destroy','role'=>$role],'id'=>'deleteForm','method'=>'DELETE'])
                    !!}
                    {!! Form::close() !!}

                    {!! Form::open(['route'=>['roles.update',$role->id],'method'=>'PUT']) !!}
                    <div class="form-group row">
                        {!! Form::label(__('label.Name'), __('label.Name'), ['class'=> "col-md-3
                        col-form-label"])
                        !!}
                        <div class="col-md-9">
                            {!! Form::text('name', $role->name, ['class'=>'form-control']) !!}
                        </div>
                    </div>

                    <table class="table table-bordered">
                        <thead>
                            <tr>
                                <th>Module</th>
                                <th class="text-primary">Read</th>
                                <th class="text-success">Write</th>
                                <th class="text-warning">Update</th>
                                <th class="text-danger">Delete</th>
                            </tr>
                        </thead>
                        <tbody>
                            @foreach ($permissions as $key=>$values)
                            <tr>
                                <td class="text-dark font-weight-bold"> {{$key}} : </td>
                                @foreach ($values as $item)
                                @if ($item)
                                <td>
                                    <div class="form-check text-center">
                                        {!! Form::checkbox('permissions[]', $item, in_array($item, $userpermissions),
                                        ["data-on"=>"YES","data-off"=>"NO",
                                        'data-toggle'=>'toggle',"data-onstyle"=>"success"])
                                        !!}
                                    </div>
                                </td>
                                @else
                                <td>
                                </td>
                                @endif
                                @endforeach
                            </tr>
                            @endforeach
                        </tbody>
                    </table>

                    <div class="row justify-content-end">
                        {!! Form::button('<i class="fas fa-check"></i> '.__('form.Submit'),['type'=>'submit','class'=>'btn btn-primary'])!!}
                    </div>


                    {!! Form::close() !!}

                </div>
            </div>
        </div>
    </div>
</div>

@endsection