@extends('Backend.layouts.app')
@section('content')
<div class="container-fluid">
    <div class="card shadow mb-4">
        <div class="card-body">
            <div class="row justify-content-between mb-2">
                <h5 class="text-primary ml-2 heading"><i class="fas fa-fw fa-list"></i>  {{ __('admin.Roles')}}</h5>
                @can('roles.create')
                <a href="{{ route('roles.create')}}" class="btn btn-info"><i class="fas fa-plus" aria-hidden="true"></i>
                    {{ __('admin.add',['name'=>'Role']) }}</a>
                @endcan
            </div>
            @if (session('success'))
            <x-alert type="success" :message="session('success')" />
            @endif
            <div class="table-responsive">
                <table id="datalist" style="cursor: pointer; user-select:none" name="roles" class="text-dark table table-striped nowrap table-bordered table-hover roles"
                    width="100%">
                    <thead>
                        <tr>
                            <th>Id</th>
                            <th>Role Name</th>
                        </tr>
                    </thead>
                </table>
            </div>
        </div>
    </div>
</div>
@endsection
@push("styles")
<link rel="stylesheet"
    href="{{ asset('assets/dashboard/vendor/jquery-contextmenu/dist/jquery.contextMenu.min.css')}}">
@endpush

@push('scripts')
<script>
    window.app = {
        rowContext: @json($contextmenu)
    }
</script>
<script src="{{ asset('assets/dashboard/vendor/jquery-contextmenu/dist/jquery.contextMenu.min.js')}}"></script>
<script src="{{ asset('assets/dashboard/vendor/jquery-contextmenu/dist/jquery.ui.position.js')}}"></script>
<script src="{{ asset('assets/dashboard/js/context.js')}}"></script>
@endpush