@extends('Backend.layouts.app')

@section('content')
    <div class="container-fluid">
        <nav aria-label="breadcrumb">
            <ol class="breadcrumb">
                <li class="breadcrumb-item">{!! link_to_route('dashboard', __('admin.Home')) !!}</li>
                <li class="breadcrumb-item">{!! link_to_route('roles.index', __('Admin.Roles')) !!}</li>
            </ol>
        </nav>
        <div class="row justify-content-center">
            <div class="col-md-8">
                <div class="card shadow mb-4">
                    <div class="card-header">
                        <div class="d-flex justify-content-between">
                            <h6 class="m-0 font-weight-bold text-primary"><i class="fas fa-info-circle"></i>
                                {{ __('admin.show', ['name' => 'Role']) }}
                            </h6>
                        </div>
                    </div>
                    <div class="card-body">
                        <h5 class="text-primary ml-2">Role: {{ $role->name }}</h5>
                        <hr>
                        <table class="table table-bordered">
                            <thead>
                                <tr>
                                    <th>Module</th>
                                    <th class="text-primary">Read</th>
                                    <th class="text-success">Write</th>
                                    <th class="text-warning">Update</th>
                                    <th class="text-danger">Delete</th>
                                </tr>
                            </thead>
                            <tbody>
                                @foreach ($permissions as $key => $values)
                                    <tr>
                                        <td class="text-dark font-weight-bold"> {{ $key }} : </td>
                                        @foreach ($values as $item)
                                            @if ($item)
                                                <td>

                                                    <div class="form-check text-center">
                                                        {!! Form::checkbox('permissions[]', $item, in_array($item, $userpermissions), ['data-on' => 'YES', 'data-off' => 'NO', 'data-toggle' => 'toggle', 'data-onstyle' => 'success', 'disabled' => 'true']) !!}
                                                    </div>
                                                </td>
                                            @else
                                                <td>
                                                </td>
                                            @endif
                                        @endforeach
                                    </tr>
                                @endforeach
                            </tbody>
                        </table>
                        {!! Form::open(['route' => ['roles.destroy', 'role' => $role], 'id' => 'deleteForm', 'method' => 'DELETE']) !!}
                        {!! Form::close() !!}
                        <div class="d-flex justify-content-between">
                            <a href="{{ url()->previous() }}" class="btn btn-dark"><span
                                    class="fas fa-arrow-left"></span>
                                Back</a>
                            @if ($role->name != $constSuperAdmin)
                                @can('roles.edit')
                                    <a href="{{ route('roles.edit', ['role' => $role]) }}" class="btn btn-success"><span
                                            class="fas fa-edit"></span> Edit</a>
                                @endcan
                                @can('roles.delete')
                                <a href="#" class="btn btn-danger submitDelete"><span class="fas fa-trash"></span> Delete</a>
                                @endcan
                            @endif
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
@endsection
