@extends('Backend.layouts.app')
@section('content')
    <div class="container-fluid">
        <div class="row justify-content-center">
            <div class="col-md-8">
                <div class="card card-body shadow-sm">
                    <div class="row justify-content-between mb-2">
                        <h5 class="text-primary ml-2 heading"><i class="fas fa-fw fa-cog"></i> {{ $title }}</h5>
                    </div>
                    @if ($errors->any())
                        <x-validation type="danger" :message="$errors->all()" />
                    @endif
                    @if (request('update') == true)
                        <x-alert type="success" message="Successfuly Updated" />
                    @endif
                    {!! Form::model($settings, ['route' => ['settings.update', request()->query()], 'method' => 'PUT', 'files' => true]) !!}

                    @switch(request()->get('action'))
                        @case('general')
                            @include('Backend.settings.general')
                        @break

                        @case('mail')
                            @include('Backend.settings.mail')
                        @break

                        @case('ads')
                            @include('Backend.settings.ads')
                        @break

                        @case('theme')
                            @include('Backend.settings.theme')
                        @break

                        @case('routing')
                            @include('Backend.settings.route')
                        @break

                        @default
                            @include('Backend.settings.general')
                    @endswitch

                    <div class="row justify-content-end">
                        {!! Form::button('<i class="fas fa-check"></i> ' . __('form.Submit'), ['type' => 'submit', 'class' => 'btn btn-primary']) !!}
                    </div>
                </div>
                {!! Form::close() !!}
            </div>
        </div>
    </div>
@endsection
