@extends('Backend.layouts.app')

@section('content')

<div class="container-fluid">
    <nav aria-label="breadcrumb">
        <ol class="breadcrumb">
            <li class="breadcrumb-item">{!! link_to_route('dashboard', __('admin.Home')) !!}</li>
            <li class="breadcrumb-item">{!! link_to_route('users.index', __('admin.Users')) !!}</li>
        </ol>
    </nav>
    <div class="row justify-content-center">
        <div class="col-md-8">
            <div class="card shadow mb-4">
                <div class="card-header">
                    <div class="d-flex justify-content-between">
                        <h6 class="m-0 font-weight-bold text-primary"><i class="fas fa-user-plus"></i> {{
                            __('admin.add',['name'=>'User']) }}</h6>
                    </div>
                </div>
                <div class="card-body">
                    @if ($errors->any())
                    <x-validation type="danger" :message="$errors->all()" />
                    @endif
                    {!! Form::open(['route'=>'users.store']) !!}
                    <div class="form-group row">
                        {!! Form::label(__('label.Name'), __('label.Name'), ['class'=> "col-md-3
                        col-form-label"])
                        !!}
                        <div class="col-md-9">
                            {!! Form::text('name', null, ['class'=>'form-control']) !!}
                        </div>
                    </div>

                    <div class="form-group row">
                        {!! Form::label(__('label.E-Mail'), __('label.E-Mail'), ['class'=> "col-md-3
                        col-form-label"])
                        !!}
                        <div class="col-md-9">
                            {!! Form::text('email', null, ['class'=>'form-control']) !!}
                        </div>
                    </div>

                    <div class="form-group row">
                        {!! Form::label(__('label.Admin Role'), __('label.Role'), ['class'=> "col-md-3
                        col-form-label"])
                        !!}
                        <div class="col-md-9">

                            {!! Form::select('roles[]', $rolesAll, [], ['class'=>'form-control
                            select2','multiple'=>'multiple'])
                            !!}
                        </div>
                    </div>


                    <div class="form-group row">
                        {!! Form::label(__('label.New Password'), __('label.New Password'), ['class'=> "col-md-3
                        col-form-label"])
                        !!}
                        <div class="col-md-9">
                            {!! Form::password('password', ['class'=>'form-control']) !!}
                        </div>
                    </div>



                    <div class="form-group row">
                        {!! Form::label(__('label.Confirm Password'), __('label.Confirm Password'), ['class'=> "col-md-3
                        col-form-label"])
                        !!}
                        <div class="col-md-9">
                            {!! Form::password('password_confirmation', ['class'=>'form-control']) !!}
                        </div>
                    </div>

                    <div class="row justify-content-end">
                        {!! Form::button('<i class="fas fa-check"></i> '.__('form.Submit'),['type'=>'submit','class'=>'btn btn-primary'])!!}

                    </div>

                </div>

                {!! Form::close() !!}
            </div>
        </div>
    </div>
</div>

@endsection