@extends('Backend.layouts.app')

@section('content')
<div class="container-fluid">
<div class="row justify-content-center">
<div class="col-md-6">
    <div class="card shadow mb-4">
        <div class="card-header">
            <div class="d-flex justify-content-between">
                <h6 class="m-0 font-weight-bold text-primary"><i class="fa fa-user-edit"></i> {{ __('admin.edit',['name'=>'Profile']) }}</h6>
            </div>
        </div>
        <div class="card-body">
                    @if ($errors->any())
                    <x-validation type="danger" :message="$errors->all()" />
                    @endif
                    @if (session('success'))
                    <x-alert type="success" :message="session('success')" />
                    @endif
                    {!! Form::model($user,['route'=>'users.profilestore',"method"=>"PUT"]) !!}
                    <div class="form-group row">
                        {!! Form::label(__('label.Name'), __('label.Name'), ['class'=> "col-md-3
                        col-form-label"])
                        !!}
                        <div class="col-md-9">
                            {!! Form::text('name', null, ['class'=>'form-control']) !!}
                        </div>
                    </div>

                    <div class="form-group row">
                        {!! Form::label(__('label.E-Mail'), __('label.E-Mail'), ['class'=> "col-md-3
                        col-form-label"])
                        !!}
                        <div class="col-md-9">
                            {!! Form::text('email', null, ['class'=>'form-control']) !!}
                        </div>
                    </div>

                    <div class="form-group row">
                        {!! Form::label(__('label.Current Password'), __('label.Current Password'), ['class'=> "col-md-3
                        col-form-label"])
                        !!}
                        <div class="col-md-9">
                            {!! Form::password('currentpassword', ['class'=>'form-control']) !!}
                        </div>
                    </div>


                    <div class="form-group row">
                        {!! Form::label(__('label.New Password'), __('label.New Password'), ['class'=> "col-md-3
                        col-form-label"])
                        !!}
                        <div class="col-md-9">
                            {!! Form::password('newpassword', ['class'=>'form-control']) !!}
                        </div>
                    </div>



                    <div class="form-group row">
                        {!! Form::label(__('label.Confirm Password'), __('label.Confirm Password'), ['class'=> "col-md-3
                        col-form-label"])
                        !!}
                        <div class="col-md-9">
                            {!! Form::password('confirm_password', ['class'=>'form-control']) !!}
                        </div>
                    </div>


                    <div class="row justify-content-end">
                        {!! Form::submit(__('form.Submit'), ['class'=>'btn btn-primary']) !!}
                    </div>


                {!! Form::close() !!}
        </div>
    </div>
</div>
</div>
</div>

@endsection