@extends('Backend.layouts.app')
@section('content')
<div class="container-fluid">
    <div class="card shadow mb-4">
        <div class="card-body">
                @canany(['users.create','users.delete'])
                    <div class="row justify-content-between mb-2">
                        <h5 class="text-primary ml-2 heading"><i class="fas fa-fw fa-list"></i> {{ __('admin.Users') }}</h5>
                        @can('users.create')
                        <a href="{{ route('users.create')}}" class="btn btn-outline-primary"><i class="fas fa-user-plus"
                                aria-hidden="true"></i>  {{ __('admin.add',['name'=>'User']) }}</a>
                        @endcan
                    </div>
                @endcanany
            @if (session('success'))
            <x-alert type="success" :message="session('success')" />
            @endif
            <div class="table-responsive">
                <table id="datalist" style="cursor: pointer; user-select:none" name="users" class="text-dark table table-striped nowrap table-bordered users table-hover"
                    width="100%">
                    <thead>
                        <tr>
                            <th>Id</th>
                            <th>Name</th>
                            <th>Email</th>
                            <th>Role</th>
                            <th>RegistedAt</th>
                            <th>UpdatedAt</th>
                        </tr>
                    </thead>
                </table>
            </div>
        </div>
    </div>
</div>
@endsection

@push("styles")
<link rel="stylesheet" href="{{ asset('assets/dashboard/vendor/jquery-contextmenu/dist/jquery.contextMenu.min.css')}}">
@endpush

@push('scripts')
<script>
    window.app = {
        authId: "{{ Auth::user()->id }}",
        isSuperAdmin: "{{ $IsSuperAdmin }}",
        rowContext: @json($contextmenu)
    }
</script>
<script src="{{ asset('assets/dashboard/vendor/jquery-contextmenu/dist/jquery.contextMenu.min.js')}}"></script>
<script src="{{ asset('assets/dashboard/vendor/jquery-contextmenu/dist/jquery.ui.position.js')}}"></script>
<script src="{{ asset('assets/dashboard/js/context.js')}}"></script>
@endpush
