@extends('Backend.layouts.app')
@section('content')
    <div class="container-fluid">
        <div class="card shadow mb-4">
            <div class="card-body">
                <div class="row justify-content-between mb-2">
                    <h5 class="text-primary ml-2 heading"><i class="fas fa-fw fa-list"></i> {{ __('admin.Videos') }}</h5>
                    @can('videos.create')
                        <div class="dropdown mr-2">
                            <button class="btn btn-outline-primary dropdown-toggle" type="button" id="addvideodropdown"
                                data-toggle="dropdown" aria-haspopup="true" aria-expanded="false"><i
                                    class="fas fa-file-video"></i>
                                {{ __('admin.add', ['name' => 'Video']) }}
                            </button>
                            <div class="dropdown-menu" aria-labelledby="addvideodropdown">
                                <a class="dropdown-item" href="{{ route('videos.create') }}"><i class="fas fa-upload"></i>
                                    Upload Video or Url</a>
                                <a class="dropdown-item" href="{{ route('upload.addyoutube') }}"><i
                                        class="fab fa-youtube"></i>
                                    Add Video from YouTube</a>
                                <a class="dropdown-item" href="{{ route('upload.multiple') }}"><i
                                    class="fas fa-cloud-upload-alt"></i>
                                Advance Video Uploader</a></a>
                            </div>
                        </div>
                    @endcan
                </div>
                @if (session('success'))
                    <x-alert type="success" :message="session('success')" />
                @endif
                <div class="table-responsive">
                    <table id="datalist" style="cursor: pointer;user-select: none;" name="videos"
                        class="text-dark table table-striped nowrap table-bordered table-hover videos" width="100%">
                        <thead>
                            <tr>
                                <th>Id</th>
                                <th>Thumb</th>
                                <th>Title</th>
                                <th>YouTubeID</th>
                                <th>Category</th>
                                <th>User</th>
                                <th>TodayViews</th>
                                <th>Views</th>
                                <th>Likes</th>
                                <th>Unlikes</th>
                                <th>Download</th>
                                <th>Featured</th>
                                <th>Status</th>
                                <th>Visibility</th>
                                <th>PublishedAt</th>
                                <th>ModifiedAt</th>
                        </thead>
                    </table>
                </div>
            </div>
        </div>
    </div>

    <div class="modal fade" id="addVideoPlaylistModal" tabindex="-1" role="dialog" aria-labelledby="playlistModalLabel"
        aria-hidden="true">
        <div class="modal-dialog" role="document">
            <div class="modal-content">
                <div class="modal-header">
                    <h5 class="modal-title" id="playlistModalLabel">Add Videos to Playlist</h5>
                    <button class="close" type="button" data-dismiss="modal" aria-label="Close">
                        <span aria-hidden="true">x</span>
                    </button>
                </div>
                <div class="modal-body">
                    <div class="input-group">
                        {!! Form::select('playlist_id', [], null, ['id' => 'playlist_Id', 'class' => 'form-control addPlaylists_Select', 'placeholder' => 'Search Playlist or Select Playlist']) !!}
                    </div>
                </div>
                <div class="modal-footer">
                    <button class="btn btn-secondary" type="button" data-dismiss="modal">Cancel</button>
                    <button type="button" class="btn btn-primary addplaylist-video">{{ __('form.Submit') }}</button>
                </div>
            </div>
        </div>
    </div>
@endsection

@push('styles')
    <link rel="stylesheet"
        href="{{ asset('assets/dashboard/vendor/jquery-contextmenu/dist/jquery.contextMenu.min.css') }}">
@endpush

@push('scripts')
    <script>
        window.app = {
            rowContext: @json($contextmenu)
        }
    </script>
    <script src="{{ asset('assets/dashboard/vendor/jquery-contextmenu/dist/jquery.contextMenu.min.js') }}"></script>
    <script src="{{ asset('assets/dashboard/vendor/jquery-contextmenu/dist/jquery.ui.position.js') }}"></script>
    <script src="{{ asset('assets/dashboard/js/context.js') }}"></script>
@endpush
