@extends('Backend.layouts.app')
@section('content')
    <div class="container-fluid">
        <nav aria-label="breadcrumb">
            <ol class="breadcrumb">
                <li class="breadcrumb-item">{!! link_to_route('dashboard', __('admin.Home')) !!}</li>
                <li class="breadcrumb-item">{!! link_to_route('videos.index', __('admin.Videos')) !!}</li>
            </ol>
        </nav>
        <div class="card shadow mb-4">
            <div class="card-body">
                <div class="row justify-content-between mb-2">
                    <h5 class="text-primary ml-2 heading"><i class="fas fa-cloud-upload-alt"></i>
                        Advance Video Uploader</a>
                </div>

                @if (session('success'))
                    <x-alert type="success" :message="session('success')" />
                @endif

                <div class="row">
                    <div class="col-lg-5">

                        <div class="card card-body shaow-sm mb-2 bg-light border-danger">

                            <div class="row justify-content-center mb-2">
                                <button type="button" id="largeFileUploader" class="btn btn-danger"
                                    data-href="{{ route('upload.uploader') }}"><i class="fas fa-upload"></i> Upload
                                    Videos</button>
                            </div>

                            <div id="progress" style="display: none">
                                <div style="height: 25px;" class="progress mb-3">
                                    <div class="progress-bar progress-bar-striped progress-bar-animated" role="progressbar"
                                        aria-valuenow="75" aria-valuemin="0" aria-valuemax="100"
                                        style="width: 75%; height: 100%">75%
                                    </div>
                                </div>
                                <p class="text-center mb-0 progressStatus"></p>
                            </div>

                            {!! Form::open(['method' => 'GET', 'id' => 'multipleForm']) !!}
                            <div class="form-row">
                                {{-- <div class="col-md-6">
                                    <div class="input-group mb-2">
                                        <div class="input-group-prepend">
                                            <div class="input-group-text"><i class="fas fa-hdd"></i></div>
                                        </div>
                                        {!! Form::select('disk', $disks, request('disk', 'local'), ['class' => 'form-control', 'id' => 'multi_disk']) !!}
                                    </div>
                                </div> --}}
                                {{-- <div class="col-md-6">
                                    <div class="input-group mb-2">
                                        <div class="input-group-prepend">
                                            <div class="input-group-text"><i class="fas fa-folder"></i></div>
                                        </div>
                                        <input type="text" class="form-control" id="fmDir" name="path"
                                            value="{{ request('path', 'fm') }}" placeholder="Enter folder Path">
                                    </div>
                                </div> --}}
                                <div class="col-md-12">
                                    <div class="input-group mb-2">
                                        <div class="input-group-prepend">
                                            <div class="input-group-text"><i class="fas fa-keyboard"></i></div>
                                        </div>
                                        <input type="text" class="form-control tagin" name="removeprefix"
                                            value="{{ request('removeprefix') }}">
                                    </div>
                                </div>
                            </div>


                            <div class="d-flex justify-content-center">
                                <button type="submit" class="btn btn-primary"><i class="fas fa-list"></i>
                                    Submit</button>
                            </div>

                            {!! Form::close() !!}
                        </div>

                        <div id="MultipleUploadFrom" class="card card-body shaow-sm mb-2 bg-light border-primary">
                            <form id="multiplevideoform">
                                <div class="row align-items-center">
                                    <div class="form-group col-auto">
                                        {!! Form::label(null, 'Conversion', []) !!}
                                        {!! Form::checkbox('converter', true, false, ['data-on' => 'YES', 'data-off' => 'NO', 'data-toggle' => 'toggle', 'data-onstyle' => 'info', 'data-size' => 'xs']) !!}
                                    </div>

                                    <div class="form-group col-auto">
                                        {!! Form::label(null, __('label.Downloadable'), []) !!}
                                        {!! Form::checkbox('is_download', true, true, ['data-on' => 'YES', 'data-off' => 'NO', 'data-toggle' => 'toggle', 'data-onstyle' => 'warning', 'data-size' => 'xs']) !!}
                                    </div>

                                    <div class="form-group col-auto">
                                        {!! Form::label(null, __('label.Featured'), []) !!}
                                        {!! Form::checkbox('featured', true, null, ['data-on' => 'YES', 'data-off' => 'NO', 'data-toggle' => 'toggle', 'data-onstyle' => 'warning', 'data-size' => 'xs']) !!}
                                    </div>


                                    <div class="form-group col-auto">
                                        {!! Form::label(null, 'Visibility', []) !!}
                                        {!! Form::checkbox('active', true, true, ['data-on' => 'Public', 'data-off' => 'Private', 'data-toggle' => 'toggle', 'data-onstyle' => 'success', 'data-size' => 'xs']) !!}
                                    </div>

                                </div>
                                <div class="row">
                                    <div class="form-group col-md-6">
                                        {!! Form::label(null, 'Category', []) !!}
                                        {!! Form::select('category_id', $categories, null, [
    'class' => "form-control
                    select2",
    'placeholder' => __('label.select', ['name' => 'Category']),
]) !!}
                                    </div>

                                    <div class="col-md-6">
                                        <div class="form-group">
                                            {!! Form::label('datetimepicker', 'Published At', []) !!}
                                            {!! Form::text('published_at', now()->format('Y-m-d H:i'), ['class' => 'form-control', 'id' => 'datetimepicker']) !!}
                                        </div>
                                    </div>

                                </div>
                                <div class="d-flex justify-content-center">
                                    <div class="btn-group" role="group">
                                        <button type="button" class="btn btn-danger multi-stop"><i
                                                class="fas fa-times"></i>
                                            Stop</button>
                                        <button type="submit" class="btn btn-primary"><i class="fas fa-check"></i>
                                            Start</button>
                                    </div>
                                </div>
                            </form>

                            <div class="p-2 bg-light shadow-sm rounded text-dark">
                                {!! Form::checkbox('multiVideoSelect', true, false) !!} Select All |
                                <span>Ready to Upload:</span> <span class="totalSelected badge badge-danger">0</span> |
                                <span>Failed Uploads: <span class="totalFaileds badge badge-warning">0</span> |
                                    <span>Success to Uploaded: <span class="totalSuccess badge badge-success">0</span>
                            </div>
                        </div>

                    </div>
                    <div class="col-lg-7">
                        <div class="table-responsive">
                            <table id="datalist"
                                style="cursor: pointer;user-select: none;border-collapse: collapse !important;"
                                name="multiplevideos"
                                class="text-dark table table-striped nowrap table-bordered table-hover multiplevideos"
                                width="100%">
                                <thead>
                                    <tr>
                                        <th></th>
                                        <th>Title</th>
                                        <th>Size</th>
                                        <th>ModifiedAt</th>
                                        <th>Delete</th>
                                </thead>
                            </table>
                        </div>
                    </div>
                </div>
            </div>
        </div>



        <div class="alert alert-info mt-2" role="alert">
            Storage Path:

            <ul>
                @php
                    $disks = $disks->keys();
                @endphp
                @foreach ($disks as $item)
                    @if (in_array($item, ['public', 'local']))
                        <li> {{ $item }} => {{ Storage::disk($item)->path('fm') }}</li>
                    @else
                        <li> {{ $item }} => Default Path</li>
                    @endif
                @endforeach
            </ul>

        </div>

    </div>
    {{-- <div class="modal fade" id="PlayModal" tabindex="-1" role="dialog" aria-labelledby="PlayModalLabel" aria-hidden="true">
    <div class="modal-dialog" role="document">
        <div class="modal-content">
            <div class="modal-header">
                <h5 class="modal-title" id="PlayModalLabel"><i class="fas fa-play"></i> Play</h5>
                <button class="close" type="button" data-dismiss="modal" aria-label="Close">
                    <span aria-hidden="true">x</span>
                </button>
            </div>
            <div class="modal-body">
                <h4 class="play-title text-info"></h4>
                <div id="youtubeplayer"></div>
                <p id="description"></p>
            </div>
        </div>
    </div>
</div> --}}
@endsection

{{-- @push('scripts')
<script src="{{ asset('assets/dashboard/js/sticky.min.js')}}"></script>
<script>
    new Sticky('#MultipleUploadFrom');
</script>
@endpush --}}


@push('styles')
    <link rel="stylesheet" href="{{ asset('assets/dashboard/vendor//tagin/dist/tagin.min.css') }}">
    <link rel="stylesheet" href="{{ asset('assets/dashboard/vendor/gijgo/css/gijgo.min.css') }}">
@endpush

@push('scripts')
    <script src="{{ asset('assets/dashboard/vendor/tagin/dist/tagin.min.js') }}"></script>
    <script src="{{ asset('assets/dashboard/vendor/gijgo/js/gijgo.min.js') }}" type="text/javascript"></script>

    <script>
        const tagin = new Tagin(document.querySelector('.tagin'), {
            enter: true,
            placeholder: "Remove Prefix"
        });
        $('#datetimepicker').datetimepicker({
            format: 'yyyy-mm-dd HH:MM',
            uiLibrary: 'bootstrap4',
            modal: false,
            footer: true
        });

        window.uploads = {
            maxFiles: 100,
            chunkSize: {{ setting('uploads_chunksize', 2) ?: 2 }} * 1024 * 1024
        }
        window.fmDelete = "{{ route('upload.fileDelete') }}";
    </script>
@endpush
