@extends('Backend.layouts.app')
@section('content')
    <div class="container-fluid">
        <nav aria-label="breadcrumb">
            <ol class="breadcrumb">
                <li class="breadcrumb-item">{!! link_to_route('dashboard', __('admin.Home')) !!}</li>
                <li class="breadcrumb-item">{!! link_to_route('videos.index', __('admin.Videos')) !!}</li>
            </ol>
        </nav>
        <div class="card shadow mb-4">
            <div class="card-body">
                <div class="row justify-content-between mb-2">
                    <h5 class="text-primary ml-2 heading"><i class="fab fa-youtube"></i>
                        {{ __('admin.add', ['name' => 'Video from Youtube']) }}</h5>
                </div>

                <div class="row">
                    <div class="col-12">
                        @if (session('success'))
                            <x-alert type="success" :message="session('success')" />
                        @endif
                        <div class="card card-body shaow-sm mb-2 bg-light border-danger">
                            {!! Form::open(['method' => 'GET', 'id' => 'ytSearchform']) !!}
                            <div class="form-row">
                                <div class="col-md-5">
                                    <div class="ui-widget input-group mb-2">
                                        <div class="input-group-prepend">
                                            <div class="input-group-text"><i class="fas fa-keyboard"></i></div>
                                        </div>
                                        <input type="text" class="autosuggest form-control" name="query"
                                            value="{{ request('query') }}" id="ytSearchform_ytquary"
                                            placeholder="Enter Query or YouTube Video, Channel, Playlist Url">
                                    </div>
                                </div>
                                <div class="col-md-3">
                                    <div class="input-group mb-2">
                                        <div class="input-group-prepend">
                                            <div class="input-group-text"><i class="fas fa-filter"></i></div>
                                        </div>
                                        {!! Form::select('orderby', $yt_sorting, null, ['class' => 'form-control']) !!}
                                    </div>
                                </div>

                                <div class="col-md-2">
                                    <div class="input-group mb-2">
                                        <div class="input-group-prepend">
                                            <div class="input-group-text">Max</div>
                                        </div>
                                        {!! Form::text('maxresults', request('maxresults', 10), ['class' => 'form-control', 'id' => 'ytSearchform_maxresults']) !!}
                                    </div>
                                </div>

                                <div class="col-auto">
                                    <button type="submit" class="btn btn-primary"><i class="fas fa-list"></i>
                                        Submit</button>
                                </div>

                            </div>
                            {!! Form::close() !!}
                        </div>
                    </div>
                    <div class="col-12">
                        <div id="YoutubeUploadFrom" class="card card-body shaow-sm mb-2 bg-light border-primary">
                            <form id="youtubeform">
                                <div class="row align-items-center">
                                    <div class="form-group col-auto">
                                        {!! Form::label(null, 'Copy to Server', []) !!}
                                        {!! Form::checkbox('copyfile', true, true, ['data-on' => 'YES', 'data-off' => 'NO', 'data-toggle' => 'toggle', 'data-onstyle' => 'warning', 'id' => 'copy_file_server', 'data-size' => 'xs']) !!}
                                    </div>
                                    <div class="form-group col-auto converter-display">
                                        {!! Form::label(null, 'Conversion', []) !!}
                                        {!! Form::checkbox('converter', true, true, ['data-on' => 'YES', 'data-off' => 'NO', 'data-toggle' => 'toggle', 'data-onstyle' => 'info', 'data-size' => 'xs']) !!}
                                    </div>

                                    <div class="form-group col-auto downloadable-display">
                                        {!! Form::label(null, __('label.Downloadable'), []) !!}
                                        {!! Form::checkbox('is_download', true, true, ['data-on' => 'YES', 'data-off' => 'NO', 'data-toggle' => 'toggle', 'data-onstyle' => 'danger', 'data-size' => 'xs']) !!}
                                    </div>

                                    <div class="form-group col-auto">
                                        {!! Form::label(null, __('label.Featured'), []) !!}
                                        {!! Form::checkbox('featured', true, null, ['data-on' => 'YES', 'data-off' => 'NO', 'data-toggle' => 'toggle', 'data-onstyle' => 'warning', 'data-size' => 'xs']) !!}
                                    </div>


                                    <div class="form-group col-auto">
                                        {!! Form::label(null, 'Visibility', []) !!}
                                        {!! Form::checkbox('active', true, true, ['data-on' => 'Public', 'data-off' => 'Private', 'data-toggle' => 'toggle', 'data-onstyle' => 'success', 'data-size' => 'xs']) !!}
                                    </div>
                                </div>

                                <div class="form-row">

                                    <div class="col-md-4">
                                        <div class="form-group">
                                            {!! Form::label(null, 'Category', []) !!}

                                            {!! Form::select('category_id', $categories, null, [
    'class' => "form-control
                                    select2",
    'placeholder' => __('label.select', ['name' => 'Category']),
]) !!}

                                        </div>
                                    </div>

                                    <div class="col-md-4">
                                        <div class="form-group">
                                            {!! Form::label('datetimepicker', 'Published At', []) !!}
                                            {!! Form::text('published_at', now()->format('Y-m-d H:i'), ['class' => 'form-control', 'id' => 'datetimepicker']) !!}
                                        </div>
                                    </div>


                                    <div class="col-md-4">
                                        <div class="form-group">
                                            {!! Form::label(null, 'Quality', []) !!}
                                            {!! Form::select('quality', ['high' => 'High', 'medium' => 'Medium', 'low' => 'Low'], 'medium', ['class' => 'form-control', 'id' => 'quality', 'placeholder' => __('label.select', ['name' => 'Max Quality'])]) !!}
                                        </div>
                                    </div>
                                </div>
                                <div class="text-center mb-2">
                                    <div class="btn-group" role="group">
                                        <button type="button" class="btn btn-danger yt-stop"><i class="fas fa-times"></i>
                                            Stop</button>
                                        <button type="submit" class="btn btn-primary"><i class="fas fa-check"></i>
                                            Start</button>
                                    </div>
                                </div>
                            </form>

                            <div class="p-2 bg-light shadow-sm rounded text-dark">
                                {!! Form::checkbox('youtubeSelect', true, false) !!} Select All |
                                <span>Ready to Upload:</span> <span class="totalSelected badge badge-danger">0</span> |
                                <span>Failed Uploads: <span class="totalFaileds badge badge-warning">0</span> |
                                    <span>Success to Uploaded: <span class="totalSuccess badge badge-success">0</span>
                            </div>
                        </div>
                    </div>

                    <div class="col-12">
                        <div class="table-responsive">
                            <table id="datalist"
                                style="cursor: pointer;user-select: none;border-collapse: collapse !important;"
                                name="youtubevideos"
                                class="text-dark table table-striped nowrap table-bordered table-hover youtubevideos"
                                width="100%">
                                <thead>
                                    <tr>
                                        <th></th>
                                        <th>Id</th>
                                        <th>Thumb</th>
                                        <th>Title</th>
                                        <th>Channel</th>
                                        <th>PublishAt</th>
                                </thead>
                            </table>
                        </div>
                    </div>
                </div>
            </div>
        </div>


    </div>

    <div class="modal fade" id="PlayModal" tabindex="-1" role="dialog" aria-labelledby="PlayModalLabel"
        aria-hidden="true">
        <div class="modal-dialog" role="document">
            <div class="modal-content">
                <div class="modal-header">
                    <h5 class="modal-title" id="PlayModalLabel"><i class="fas fa-play"></i> Play</h5>
                    <button class="close" type="button" data-dismiss="modal" aria-label="Close">
                        <span aria-hidden="true">x</span>
                    </button>
                </div>
                <div class="modal-body">
                    <h4 class="play-title text-info"></h4>
                    <div id="youtubeplayer"></div>
                    <p id="description"></p>
                </div>
            </div>
        </div>
    </div>
@endsection

@push('styles')
    <link rel="stylesheet" href="{{ asset('assets/dashboard/vendor/gijgo/css/gijgo.min.css') }}">
@endpush

@push('scripts')
<script src="{{ asset('assets/dashboard/vendor/gijgo/js/gijgo.min.js') }}" type="text/javascript"></script>

    <script>
        $('#datetimepicker').datetimepicker({
            format: 'yyyy-mm-dd HH:MM',
            uiLibrary: 'bootstrap4',
            modal: false,
            footer: true
        });
    </script>
@endpush
