@extends('Frontend.layouts.app')
@section('content')
    <main class="container-fluid">
        {!! setting('ad_all_page_t') !!}
        <section id="cateogories">
            <div class="section-title">
                <div class="d-flex justify-content-between">
                    <h1><span><i class="fa fa-folder-open" aria-hidden="true"></i> {{ $category->name }}</span></h1>
                    <a class="align-self-center btn btn-dark btn-sm" data-bs-toggle="collapse" href="#filters" role="button"
                        aria-expanded="false" aria-controls="filters"><i class="fa fa-filter" aria-hidden="true"></i>
                        {{ __('Filters') }}
                    </a>
                </div>
                <div class="collapse" id="filters">
                    <x-filters class="d-flex flex-wrap justify-content-center" :filters="$filters" :active="$sort" />
                </div>
            </div>
            @if ($category->description)
                <div id="article">
                    <div class="show-more">
                        {!! $category->description !!}
                    </div>
                    <div class="text-center">
                        <a href="#" role="button" class="show-more-button"
                            data-more-title="{{ __('Read More') }}" data-less-title="{{ __('Read Less') }}"><i
                                class="fa fa-angle-down" aria-hidden="true"></i><span class="visually-hidden">Read
                                More</span></a>
                    </div>
                </div>
            @endif
            <x-category-grid :categories="$data" class="row-cols-1 row-cols-lg-4 row-cols-md-3 row-cols-sm-2 g-2 g-sm-4" />
            @include('Frontend.layouts.pagination')
        </section>
        @if (setting(FrontConst::PAGING) !== 'infinite-scroll')
            {!! setting('ad_all_page_b') !!}
        @endif
    </main>
@endsection
