@extends('Frontend.layouts.app')
{{-- @section('bottom-navigation')
    <div id="secondary-navbar" class="d-md-none" aria-labelledby="Bottom Navigation">
        <nav class="bottom-nav" aria-label="Secondary Navigation">
            <a href="#topvideos" class="nav-link active" data-toggle="bottom-nav" data-target="#topvideos" role="button"
                aria-expanded="true" aria-controls="topvideos">
                <i class="fa fa-home" aria-hidden="true"></i>
                <span class="title">{{ __('Home') }}</span>
            </a>
            <a href="#latestvideo" class="nav-link" data-toggle="bottom-nav" data-target="#latestvideo" role="button"
                aria-expanded="false" aria-controls="latestvideo">
                <i class="fa fa-bolt" aria-hidden="true"></i>
                <span class="title">{{ __('Latest') }}</span>
            </a>
            <a href="#playlist" class="nav-link" data-toggle="bottom-nav" data-target="#playlist" role="button"
                aria-expanded="false" aria-controls="playlist">
                <i class="fa fa-list" aria-hidden="true"></i>
                <span class="title">{{ __('Playlist') }}</span>
            </a>
            <a href="{{ route('category.all') }}" class="nav-link" role="button">
                <i class="fa fa-folder-open" aria-hidden="true"></i>
                <span class="title">{{ __('Categories') }}</span>
            </a>
        </nav>
    </div>
@endsection --}}

@section('content')
    <main class="container-fluid bg-animation">
        <section class="search-container">
            <div class="row justify-content-center m-3">
                <div class="col-md-6">
                    <div class="d-flex justify-content-center mb-2">
                        <h1 class="fs-3 text-white">
                            {{ setting('tag_line', trans('Explore & Watch Videos')) }}
                        </h1>
                    </div>
                    <form id="searchform" data-href="{{ route('search.index') }}" action="{{ route('search.videos') }}">
                        <div class="input-group input-group-lg jq">
                            <input name="q" value="{{ request()->has('q') ? request('q') : '' }}" type="text"
                                class="form-control form-control-dark searchsuggestion"
                                placeholder="{{ __('Search...') }}" aria-label="search">
                            <button type="submit" class="btn btn-light btn-lg"><i class="fa fa-search"
                                    aria-hidden="true"></i><span
                                    class="visually-hidden">{{ trans('Search') }}</span></button>
                        </div>
                    </form>
                </div>
            </div>
        </section>
        {!! setting('ad_home_page_t') !!}
        <div class="row gx-lg-5">
            <div class="col-lg-6">
                <section id="topvideos">
                    <div class="section-title">
                        <h2><span><i class="fa fa-tint" aria-hidden="true"></i> {{ __('Trending Videos') }}</span></h2>
                    </div>
                    <x-video-grid :videos="$trendingVideos" class="row-cols-1 row-cols-sm-2 g-2 g-sm-4" />
                    <div class="d-flex justify-content-center my-2">
                        <a href="{{ route('videos.all') }}" role="button" type="button"
                            class="btn btn-outline-dark">{{ trans('Load More') }}</a>
                    </div>
                </section>
            </div>
            <div class="col-lg-6">
                <section id="latestvideo">
                    <div class="section-title">
                        <h2><span><i class="fa fa-bolt" aria-hidden="true"></i> {{ __('Latest Videos') }}</span></h2>
                    </div>
                    <x-video-grid :videos="$latestVideos" class="row-cols-1 row-cols-sm-2 g-2 g-sm-4" />
                    <div class="d-flex justify-content-center my-2">
                        <a href="{{ route('videos.all') }}" role="button" type="button"
                            class="btn btn-outline-dark">{{ trans('Load More') }}</a>
                    </div>
                </section>
            </div>
            <div class="col-lg-6">
                <section id="playlist">
                    <div class="section-title">
                        <h2><span><i class="fa fa-list" aria-hidden="true"></i> {{ __('Latest Playlist') }}</span></h2>
                    </div>

                    <x-playlist-grid :playlists="$latestPlaylist" class="row-cols-1 row-cols-sm-2 g-2 g-sm-4" />
                    <div class="d-flex justify-content-center my-2">
                        <a href="{{ route('playlists.all') }}" role="button" type="button"
                            class="btn btn-outline-dark">{{ trans('Load More') }}</a>
                    </div>
                </section>
            </div>

            <div class="col-lg-6">
                <section id="playlist">
                    <div class="section-title">
                        <h2><span><i class="fa fa-list" aria-hidden="true"></i> {{ __('Categories') }}</span></h2>
                    </div>
                    <x-category-grid :categories="$categories" class="row-cols-1 row-cols-sm-2 g-2 g-sm-4" />
                    <div class="d-flex justify-content-center my-2">
                        <a href="{{ route('category.all') }}" role="button" type="button"
                            class="btn btn-outline-dark">{{ trans('Load More') }}</a>
                    </div>
                </section>
            </div>
        </div>
        {!! setting('ad_home_page_b') !!}

        @if (isInlinePlayer())
            <div class="visually-hidden">
                <div id="inline-player">
                    <video src="{{ asset('static/blank.mp4') }}" playsinline controls>
                    </video>
                </div>
            </div>
        @endif
    </main>
@endsection
