@extends('Frontend.layouts.app')

@section('content')
    <main class="container-fluid bg-animation">
        <section class="search-container">
            <div class="row justify-content-center m-3">
                <div class="col-md-6">
                    <div class="d-flex justify-content-center mb-2">
                        <h1 class="fs-3 text-white">
                            {{ setting('tag_line', trans('Explore & Watch Videos')) }}
                        </h1>
                    </div>
                    <form id="searchform" data-href="{{ route('search.index') }}" action="{{ route('search.videos') }}">
                        <div class="input-group input-group-lg jq">
                            <input name="q" value="{{ request()->has('q') ? request('q') : '' }}" type="text"
                                class="form-control form-control-dark searchsuggestion"
                                placeholder="{{ __('Search...') }}" aria-label="search">
                            <button type="submit" class="btn btn-light btn-lg"><i class="fa fa-search"
                                    aria-hidden="true"></i><span
                                    class="visually-hidden">{{ trans('Search') }}</span></button>
                        </div>
                    </form>
                </div>
            </div>
        </section>
        {!! setting('ad_home_page_t') !!}
        <section id="latestvideo">
            <div class="section-title">
                <div class="d-flex justify-content-between">
                    <h1><span><i class="fa fa-play-circle" aria-hidden="true"></i> {{ __('Videos') }}</span></h1>
                    <a class="align-self-center btn btn-dark btn-sm" data-bs-toggle="collapse" href="#filters"
                        role="button" aria-expanded="false" aria-controls="filters"><i class="fa fa-filter"
                            aria-hidden="true"></i>
                        {{ __('Filters') }}
                    </a>
                </div>
                <div class="collapse" id="filters">
                    <x-filters class="d-flex flex-wrap justify-content-center" :filters="$filters" :active="$sort" />
                </div>
            </div>
            <x-video-grid :videos="$videos" class="row-cols-1 row-cols-lg-4 row-cols-md-3 row-cols-sm-2 g-2 g-sm-4" />
            @if (isAjaxPaging() && $videos->isNotEmpty())
                <div id="pagination" class="d-flex justify-content-center my-2" data-page="1"
                    data-href="{{ route('videos.all') }}">
                    @if (setting(FrontConst::PAGING) == 'infinite-scroll')
                        <div id="loader" class="spinner-border text-primary" style="display: none" data-type="scroll"
                            role="status">
                            <span class="visually-hidden">{{ trans('Loading...') }}</span>
                        </div>
                    @else
                        <button id="loader" role="button" type="button"
                            class="btn btn-primary">{{ trans('Load More') }}</button>
                    @endif
                </div>
            @else
                <div class="d-flex justify-content-center my-2">
                    <a href="{{ route('videos.all') }}" role="button"
                        class="btn btn-primary">{{ trans('Load More') }}</a>
                </div>
            @endif
        </section>
        @if (!isAjaxPaging())
            {!! setting('ad_home_page_b') !!}
        @endif

        @if (isInlinePlayer())
            <div class="visually-hidden">
                <div id="inline-player">
                    <video src="{{ asset('static/blank.mp4') }}" playsinline controls>
                    </video>
                </div>
            </div>
        @endif
    </main>
@endsection
