@extends('Frontend.layouts.app')
@section('content')
    <main>
        <section class="page-header" style="background-image: {{ $bgPlaceHolder }}">
            <div class="container">
                <div class="page-info">
                    <div class="page-holder">
                        @if ($media = $playlist->getFirstMedia(MyConstant::THUMB_COLLECTION))
                            {{ $media->img()->conversion(MyConstant::THUMB)->attributes(['alt' => $playlist->name, 'class' => 'page-thumbnail rounded']) }}
                        @endif
                        <h1 class="fs-4 my-1">{{ $playlist->name }}</h1>
                        @if ($playlist->description)
                            <div id="article">
                                <div class="show-more">
                                    {!! $playlist->description !!}
                                </div>
                                <div class="text-center">
                                    <a href="#" role="button" class="show-more-button"
                                        data-more-title="{{ __('Read More') }}"
                                        data-less-title="{{ __('Read Less') }}"><i class="fa fa-angle-down"
                                            aria-hidden="true"></i><span class="visually-hidden">Read
                                            More</span></a>
                                </div>
                            </div>
                        @endif
                    </div>
                </div>
            </div>
        </section>
        <div class="container-fluid">
            {!! setting('ad_all_page_t') !!}
            <section id="playlists">
                <div class="section-title">
                    <div class="d-flex justify-content-between">
                        <h2><span><i class="fa fa-play-circle" aria-hidden="true"></i> {{ trans('Videos') }}</span>
                        </h2>
                        <a class="align-self-center btn btn-dark btn-sm" data-bs-toggle="collapse" href="#filters"
                            role="button" aria-expanded="false" aria-controls="filters"><i class="fa fa-filter"
                                aria-hidden="true"></i> {{ __('Filters') }}
                        </a>
                    </div>
                    <div class="collapse" id="filters">
                        <x-filters class="d-flex flex-wrap justify-content-center" :filters="$filters" :active="$sort" />
                    </div>
                </div>
                <x-video-grid :videos="$data" class="row-cols-1 row-cols-lg-4 row-cols-md-3 row-cols-sm-2 g-2 g-sm-4" />
                @include('Frontend.layouts.pagination')
            </section>

            @if (setting(FrontConst::PAGING) !== 'infinite-scroll')
                {!! setting('ad_all_page_b') !!}
            @endif

            @if (isInlinePlayer())
                <div class="visually-hidden">
                    <div id="inline-player">
                        <video src="{{ asset('static/blank.mp4') }}" playsinline controls>
                        </video>
                    </div>
                </div>
            @endif
        </div>
    </main>
@endsection
