@extends('Frontend.layouts.app')
@section('content')
    <main class="container-fluid">
        {!! setting('ad_all_page_t') !!}
        <section id="videos">
            <div class="section-title">
                <div class="d-flex justify-content-between">
                    <h1><span><i class="fa fa-play-circle" aria-hidden="true"></i> #{{ $title }}</span></h1>
                    <a class="align-self-center btn btn-dark btn-sm" data-bs-toggle="collapse" href="#filters" role="button"
                        aria-expanded="false" aria-controls="filters"><i class="fa fa-filter" aria-hidden="true"></i>
                        {{ __('Filters') }}
                    </a>
                </div>
                <div class="collapse" id="filters">
                    <x-filters class="d-flex flex-wrap justify-content-center" :filters="$filters" :active="$sort" />
                </div>
            </div>
            <x-video-grid :videos="$data" class="row-cols-1 row-cols-lg-4 row-cols-md-3 row-cols-sm-2 g-2 g-sm-4" />
            @include('Frontend.layouts.pagination')
        </section>
        @if (setting(FrontConst::PAGING) !== 'infinite-scroll')
            {!! setting('ad_all_page_b') !!}
        @endif

        @if (isInlinePlayer())
            <div class="visually-hidden">
                <div id="inline-player">
                    <video src="{{ asset('static/blank.mp4') }}" playsinline controls>
                    </video>
                </div>
            </div>
        @endif
    </main>
@endsection
