@extends('auth.layout')
@section('content')
<div class="container">
    <!-- Outer Row -->
    <div class="row justify-content-center">
        <div class="col-lg-6">
            <div class="card o-hidden border-0 shadow-lg my-5">
                <div class="card-body p-0">
                    <!-- Nested Row within Card Body -->
                    <div class="row justify-content-center">
                        <div class="col-12">
                            <div class="p-5">
                                <div class="text-center">
                                    <div class="m-1 d-block h2 text-prima">
                                        <i class="fas fa-lock"></i>
                                    </div>
                                    <h1 class="h4 text-gray-900 mb-4">Welcome to {{ config('app.name') }}</h1>
                                </div>
                                @if (session('success'))
                                <x-alert type="success" :message="session('success')" />
                                @endif
                                @if ($errors->any())
                                <x-validation type="danger" :message="$errors->all()" />
                                @endif
                                {!! Form::open(['route'=>'login','class'=>'user']) !!}
                                <div class="form-group">
                                    <input type="text" class="form-control form-control-user" name="email" id="email"
                                        aria-describedby="emailHelp" value="" placeholder="Email Address...">
                                </div>
                                <div class="form-group">
                                    <input type="password" id="password" name="password"
                                        class="form-control form-control-user" id="password" value=""
                                        placeholder="Password">
                                </div>
                                <div class="form-group">
                                    <div class="custom-control custom-checkbox small">
                                        <input type="checkbox" class="custom-control-input" name="remember"
                                            id="customCheck">
                                        <label class="custom-control-label"
                                            for="customCheck">{{__('auth.remember')}}</label>
                                    </div>
                                </div>
                                <button type="submit" id="submit" class="btn btn-primary btn-user btn-block">
                                    {{__('form.Submit')}}
                                </button>
                                <hr>
                                {!! Form::close() !!}
                                <div class="text-center">
                                    {!! link_to_route('password.request',__('auth.forgot')) !!}</a>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>
@endsection