@extends('auth.layout')
@section('content')
<div class="container">
    <!-- Outer Row -->
    <div class="row justify-content-center">
        <div class="col-lg-6">
            <div class="card o-hidden border-0 shadow-lg my-5">
                <div class="card-body p-0">
                    <!-- Nested Row within Card Body -->
                    <div class="row justify-content-center">
                        <div class="col-12">
                            <div class="p-5">
                                <div class="text-center">
                                    <div class="m-1 d-block h2 text-prima">
                                        <i class="fas fa-lock"></i>
                                    </div>
                                    <h1 class="h4 text-gray-900 mb-4"> {{ __('auth.forgot') }}</h1>
                                </div>
                                @if (session('status'))
                                <x-alert type="success" :message="session('status')" />
                                @endif
                                @if ($errors->any())
                                <x-validation type="danger" :message="$errors->all()" />
                                @endif
                                {!! Form::open(['route'=>'password.email','class'=>'user']) !!}
                                <div class="form-group">
                                    {!! Form::text('email', null, ['class'=>'form-control
                                    form-control-user','placeholder'=>'Enter your Email']) !!}
                                </div>
                                <button type="submit" id="submit" class="btn btn-primary btn-user btn-block">
                                    {{__('form.Submit')}}
                                </button>
                                <hr>
                                {!! Form::close() !!}
                                <div class="text-center">
                                    {!! link_to_route('login',__('auth.login')) !!}</a>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>
@endsection