@if ($categories->isNotEmpty())
    <div {{ $attributes->merge(['class' => 'row']) }}>
        @foreach ($categories as $item)
            <div class="col">
                <a href="{{ $getUrl($item->childrens_count, $item->slug) }}" class="card category">
                    <div class="thumb-wrapper">
                        <div class="thumb">
                            @if ($media = $item->getFirstMedia(MyConstant::THUMB_COLLECTION))
                                {{ $media->img()->conversion(MyConstant::THUMB)->attributes(['alt' => $item->name, 'class' => 'card-img']) }}
                            @else
                                <img class="card-img" loading="lazy" src="{{ asset('images/default.jpg') }}" width="1280" height="720" alt="not found">
                            @endif
                        </div>
                        @if ($count = $item->childrens_count)
                            <span class="right-top">{{ $count }} {{ __('Category') }}</span>
                        @elseif($count = $item->videos_count)
                            <span class="right-top">{{ $count }} {{ __('Videos') }}</span>
                        @endif
                        <div class="category-body">
                            <p class="title">{{ $item->name }}</p>
                        </div>
                    </div>
                </a>
            </div>
        @endforeach
    </div>
@endif
