@if ($videos->isNotEmpty())
    <div {{ $attributes->merge(['class' => 'row']) }}>
        @foreach ($videos as $item)
            <div class="col">
                <div class="card video">
                    <div class="vthumb-wrapper">
                        <div class="thumb">
                            @if ($media = $item->getFirstMedia(MyConstant::THUMB_COLLECTION))
                                {{ $media->img()->conversion(MyConstant::THUMB)->attributes(['alt' => $item->title, 'class' => 'card-img']) }}
                            @else
                                <img class="card-img" loading="lazy" src="{{ asset('images/default.jpg') }}" width="1280" height="720" alt="not found">
                            @endif
                        </div>
                        @if ($duration = $item->duration)
                            <span class="duration">{{ $duration }}</span>
                        @endif
                        <div class="play-hover" data-url="{{ route('video.links', ['slug' => $item->slug]) }}">
                            <span class="v-icon fa fa-play" aria-hidden="true"></span>
                        </div>
                    </div>
                    <div class="video-body">
                        <p class="title"><a href="{{ route('video.page', ['slug' => $item->slug]) }}">{{ $item->title }}</a></p>
                    </div>
                </div>
            </div>
        @endforeach
    </div>
@endif
