@if ($videos->isNotEmpty())
    <div {{ $attributes->merge(['class' => 'row']) }}>
        @foreach ($videos as $item)
            <div class="col">
                <a href="{{ route('video.page', ['slug' => $item->slug]) }}" class="card video">
                    <div class="thumb-wrapper">
                        <div class="thumb">
                            @if ($media = $item->getFirstMedia(MyConstant::THUMB_COLLECTION))
                                {{ $media->img()->conversion(MyConstant::THUMB)->attributes(['alt' => $item->title, 'class' => 'card-img']) }}
                            @else
                                <img loading="lazy" src="{{ asset('images/default.jpg') }}" class="card-img" width="1280" height="720" alt="not found">
                            @endif
                        </div>
                        @if ($duration = $item->duration)
                            <span class="duration">{{ $duration }}</span>
                        @endif
                        <div class="thumb-hover">
                            <i class="v-icon fa fa-play" aria-hidden="true"></i>
                        </div>
                    </div>
                    <div class="video-body">
                        <p class="title">{{ $item->title }}</p>
                    </div>
                </a>
            </div>
        @endforeach
    </div>
@endif
