@extends('installer.layout')
@section('content')
    <div class="card shadow-lg">
        <div class="card-body">
            <h5 class="card-title text-primary">{{ __('Result') }}</h5>
            <p class="card-text">
                @if ($success)
                    {{ __('Congratulations! The installation has finished successfully.') }}
                @else
                    {{ __('Oops. The installation has failed for some reason.') }}
                @endif
            </p>
        </div>
        <div class="p-3" style="background: #000">
            <pre class="text-white mb-0">{{ trim($output) }}</pre>
        </div>
        @if ($success)
            <div class="card-body border-top">
                <div class="btn-toolbar">
                    <a class="btn btn-primary ml-auto" href="{{ route('login') }}" target="_blank">
                        {{ __('Login') }} <i class="fas fa-external-link-alt ml-1"></i>
                    </a>
                </div>
            </div>
        @else
            <div class="card-body border-top">
                <div class="btn-toolbar">
                    <a class="btn btn-outline-dark" href="{{ route('installer.configuration') }}">
                        <i class="fas fa-arrow-left mr-1"></i> {{ __('Back') }}
                    </a>
                </div>
            </div>
        @endif
    </div>
@endsection
