@extends('installer.layout')
@section('content')
    <div class="card shadow-lg">
        <div class="card-body">
            
            <div class="position-relative m-4">
                <div class="progress" style="height: 1px;">
                    <div class="progress-bar" role="progressbar" style="width: 32%;" aria-valuenow="0" aria-valuemin="0"
                        aria-valuemax="100"></div>
                </div>
                <div class="position-absolute top-0 start-0 translate-middle btn btn-sm btn-primary rounded-pill"
                    style="width: 2rem; height:2rem;">1</div>
                <div class="position-absolute top-0 translate-middle btn btn-sm btn-primary rounded-pill"
                    style="width: 2rem; height:2rem;left:32%">2</div>
                <div class="position-absolute top-0 translate-middle btn btn-sm btn-secondary rounded-pill"
                    style="width: 2rem; height:2rem;left:66%">3</div>
                <div class="position-absolute top-0 start-100 translate-middle btn btn-sm btn-secondary rounded-pill"
                    style="width: 2rem; height:2rem;">4</div>
            </div>

            <h4 class="card-title text-primary">{{ __('Overview') }}</h4>
            <p class="card-text">
                {{ __('Please make sure your server meets below minimum requirements before you continue:') }}
            </p>
        </div>

        <div class="card-body">
            <p class="card-text text-danger">Please make sure the PHP extensions listed below are installed.</p>
            <div class="table-responsive border-top">
                <table class="table">
                    <thead>
                        <tr>
                            <th>Extensions</th>
                            <th class="text-center">Status</th>
                        </tr>
                    </thead>

                    <tbody>
                        @foreach ($requirement->phpExtensions() as $label => $status)
                            <tr>
                                <td>{{ $label }}</td>

                                <td class="text-center">
                                    <i class="fa fa-{{ $status ? 'ok-circled text-success' : 'cancel text-danger' }}"
                                        aria-hidden="true"></i>
                                </td>
                            </tr>
                        @endforeach
                    </tbody>
                </table>
            </div>
        </div>

        <div class="card-body">
            <p class="card-text text-danger">Please make sure you have set the correct permissions for the directories listed below.</p>
            <div class="table-responsive border-top">
                <table class="table">
                    <thead>
                        <tr>
                            <th>Directories</th>
                            <th class="text-center">Status</th>
                        </tr>
                    </thead>

                    <tbody>
                        @foreach ($requirement->directoriesPermissions() as $label => $status)
                            <tr>
                                <td>{{ $label }}</td>

                                <td class="text-center">
                                    <i class="fa fa-{{ $status ? 'ok-circled text-success' : 'cancel text-danger' }}"
                                        aria-hidden="true"></i>
                                </td>
                            </tr>
                        @endforeach
                    </tbody>
                </table>
            </div>
        </div>

        <div class="card-body">
            <div class="float-end">
                <a href="{{ route('installer.configuration') }}" onclick="return check();" class="btn btn-primary"><i
                        class="fa fa-ok-circled"></i> {{ trans('Continue') }}</a>
            </div>
        </div>
    </div>

    <script>
        function check() {
            @if ($requirement->check())
                return true;
            @else
                alert("Please check minimum requirements or permissions!");
                return false;
            @endif
        }
    </script>
@endsection
