$(document).ready(function () {
    //GLOBAL VAR

    const URL_USERS = 'users';
    const URL_ROLES = 'roles';
    const URL_CATEGORY = 'category';
    const URL_VIDEOS = 'videos';
    const URL_PLAYLISTS = "playlists";
    const URL_VIDEOS_LIST_ADD = 'playlistvideosadd';
    const URL_PLAYLIST_JSON = "playlists-json";
    const YT_UPLOAD_INTERVAL = 400;
    const MULTI_UPLOAD_INTERVAL = 500;

    // $('[data-toggle="switch"]').bootstrapSwitch();
    bsCustomFileInput.init();


    $("#cacheClear").on("click", function (e) {
        e.preventDefault();
        $.ajax({
            url: routes.clearcache,
            method: "GET",
            dataType: "json",
        }).done(function (data) {
            if (data.status == true) {
                swal('Success', data.message, 'success');
            } else {
                swal('Error', data.message, 'success');
            }
        }).fail(function () {
            swal('Error', "Failed to Clear Cached!", 'warning');
        });
    });


    $(".show-more-button").on("click", function (e) {
        e.preventDefault();
        $(this).toggleClass("active");
        $(".show-more").toggleClass("visible");
        if ($(".show-more").is(".visible")) {
            let el = $(".show-more"),
                curHeight = el.height(),
                autoHeight = el.css("height", "auto").height();
            el.height(curHeight).animate({ height: autoHeight, }, 400);
        } else {
            $(".show-more").animate({ height: "50", }, 400);
        }
    });

    $(".edit-filename").on("change", function () {
        let oldname = $('.rename_status').data("oldname");
        let newName = $(this).val()
        if (oldname != newName) {
            $('.rename_status').show();
        }
        else {
            $('.rename_status').hide();
        }
    });


    $(".htmleditor").on("dblclick", function () {
        $(this).trumbowyg({
            btns: [
                ['viewHTML'],
                ['undo', 'redo'],
                ['formatting'],
                ['strong', 'em', 'del'],
                ['superscript', 'subscript'],
                ['link'],
                ['justifyLeft', 'justifyCenter', 'justifyRight', 'justifyFull'],
                ['unorderedList', 'orderedList'],
                ['horizontalRule'],
                ['removeformat'],
                ['fullscreen']
            ]
        });
    });

    $(".editor").trumbowyg({
        btns: [
            ['viewHTML'],
            ['undo', 'redo'],
            ['formatting'],
            ['strong', 'em', 'del'],
            ['superscript', 'subscript'],
            ['link'],
            ['justifyLeft', 'justifyCenter', 'justifyRight', 'justifyFull'],
            ['unorderedList', 'orderedList'],
            ['horizontalRule'],
            ['removeformat'],
            ['fullscreen']
        ]
    });



    $(".select2").select2({
        theme: "bootstrap4",
    });

    $.ajaxSetup({
        headers: {
            'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
        }
    });


    function preview_logo(event, targetID) {
        let reader = new FileReader();
        reader.onload = function () {
            document.getElementById(targetID).src = reader.result;
        }
        reader.readAsDataURL(event.target.files[0]);
    }

    $("#logo").on('change', function (e) {
        $(".logo_display").show();
        preview_logo(e, "logo_preview");
    });

    $("#icon").on('change', function (e) {
        $(".icon_display").show();
        preview_logo(e, "icon_preview");
    });

    $("#watermark_image").on("change", function (e) {
        $(".watermark_image_display").show();
        preview_logo(e, "watermark_image_preview");
    });

    $("#watermark_video").on("change", function (e) {
        $(".watermark_video_display").show();
        preview_logo(e, "watermark_video_preview");
    });

    $("#uploadImage").on('click', function (e) {
        e.preventDefault();
        let fileDiv = $(this).val();
        $("#" + fileDiv).trigger("click");
        $("#" + fileDiv).on("change", function (e) {
            $("#" + fileDiv + "_url").val("Device: " + e.target.files[0].name);
            $('#' + fileDiv + "_edit").val('');
            $("#preview_image").attr('src', URL.createObjectURL(e.target.files[0]));
        });
    });




    $("#thumb_url").on("change", function (e) {
        let selectFile = $(this).data("file");
        let url = $(this).val();
        if (selectFile) {
            $('#' + selectFile).val("");
            $('#' + selectFile + "_edit").val("");
            $("#preview_image").attr('src', url);
            console.log("#%s File Cleared", selectFile);
        }
    });

    $("#file_url").on("change", function (e) {
        let url = $(this).val();
        $("#file_path").val("");
        if (isValidUrl(url)) {
            $(".copy-file-display").show();
        } else {
            $(".copy-file-display").hide();
        }
        let file_name = url.split("/");
        file_name = decodeURIComponent(file_name.pop()).replace(/[+]/g, " ");
        $("#file_name").val(file_name);
    });

    $("#file_name").on("blur", function (e) {
        e.preventDefault();
        let val = $(this).val().toLowerCase().replace(/\b[a-z]/g, function (letter) {
            return letter.toUpperCase();
        });
        $(this).val(val);
    });



    function isValidUrl(_string) {
        const matchPattern = /^(?:\w+:)?\/\/([^\s\.]+\.\S{2}|localhost[\:?\d]*)\S*$/;
        return matchPattern.test(_string);
    }


    $("#email_driver").on("change", function () {
        let se = $(this).val();
        if (se == "smtp") {
            $("#email-display").show();
        } else {
            $("#email-display").hide();
        }
    });

    // Image Cropper

    $("#editImage").on("click", function (e) {
        let isImage = $("#preview_image").attr("src");
        if (isImage) {
            $("#ImageEditModal").modal({
                backdrop: "static",
                keyboard: false,
            });
        } else {
            swal('Error', 'Please Select Image File or URL', 'warning');
        }
    });


    var ImageEditModal = $('#ImageEditModal');
    var cropper;
    var ImageLoaded = true;
    $("#preview_image").on("error", function (e) {
        ImageLoaded = false;
        console.log("Image Loaded Error");
    }).on("load", function (e) {
        ImageLoaded = true;
    });

    ImageEditModal.on('shown.bs.modal', function () {
        let PImageURI = $("#preview_image").attr('src');
        if (ImageLoaded == false && PImageURI != "") {
            let tempImageURL = '../tempimage?url=' + PImageURI;
            $("#preview_image").attr('src', tempImageURL);
            ImageLoaded = true;
        }
        var image = document.querySelector('#preview_image');
        cropper = new Cropper(image, {
            movable: true,
            rotatable: true,
            scalable: true,
            viewMode: 1,
            aspectRatio: 16 / 9,
        });

        $('.rotate-left').on("click", function () {
            cropper.rotate(-45);
        });

        $('.rotate-right').on("click", function () {
            cropper.rotate(45);
        });

        $('.crop').on("click", function (e) {
            let upFile = $(this).val();
            canvas = cropper.getCroppedCanvas({
                maxWidth: 4096,
                maxHeight: 4096
            });
            canvas.toBlob(function (blob) {
                $("#preview_image").attr('src', URL.createObjectURL(blob));
                let reader = new FileReader();
                reader.readAsDataURL(blob);
                reader.onloadend = function () {
                    $('#' + upFile + "_edit").val(reader.result);
                    $('#' + upFile).val("");
                    ImageEditModal.modal("hide");
                }
            });
        });

    }).on("hidden.bs.modal", function () {
        cropper.destroy();
        cropper = null;
    });

    //End Image Cropper


    $(".autosuggest").autocomplete({
        source: function (request, response) {
            getAutoSuggestion(request, response);
        }
    });

    function getAutoSuggestion(request, response) {
        var suggesions = [];
        $.ajax({
            type: "get",
            url: "https://suggestqueries.google.com/complete/search?hl=en&ds=yt&client=youtube&hjson=t&cp=1",
            dataType: "jsonp",
            data: { q: request.term },
            success: function (data) {
                obj = data[1];
                $.each(obj, function (k, v) {
                    suggesions.push(v[0]);
                });
                return response(suggesions);
            }
        });
    }



    $("#copy_file_server").on("change", function () {
        if ($(this).prop("checked") == true) {
            $(".converter-display").show();
            $(".downloadable-display").show();
        }
        else {
            $(".converter-display").hide();
            $(".downloadable-display").hide();
        }
    });



    /**
     * Youtube Uploads
     */


    var youtubevideos = $(".youtubevideos").DataTable({
        rowId: 'id',
        lengthMenu: [[50, 100, 250, 500], [50, 100, 250, 500]],
        paging: false,
        stateSave: true,
        processing: true,
        serverSide: true,
        orderable: false,
        select: {
            style: 'multi',
            selector: 'td:first-child'
        },
        ajax: location.href,
        columns: [
            { data: 'checkbox', name: 'checkbox' },
            {
                data: 'id', name: 'id',
            },
            {
                data: 'thumb', name: 'thumb',

                render: function (img) {
                    return '<img class="zoomImage" loading="lazy" src="' + img + '" alt="" width="50">';
                }
            },
            {
                data: 'title', name: 'title',
                render: function (title) {
                    return '<input type="text" value="' + title + '" class="form-control rename_title">';
                }
            },
            {
                data: 'channel.name', name: 'channel.name',

            },
            {
                data: 'publishedAt', name: 'publishedAt',

            }
        ],
        columnDefs: [
            { className: 'select-checkbox ytselect', targets: 0, width: 15 },
            { targets: 1, width: 10 },
            { targets: [-1, -2], width: 10 },
            { targets: 1, className: "playvideo" },
            { targets: [-1, -2, -3], searchable: true, orderable: true },
            { targets: '_all', searchable: false, orderable: false },
        ]
    });

    $('input[name=youtubeSelect]').on("click", function () {
        if ($(this).prop("checked") == true) {
            $("#datalist").DataTable().rows().select();
        } else {
            $("#datalist").DataTable().rows().deselect();
        }
        let total = youtubevideos.rows({ selected: true }).count();
        $(".totalSelected").text(total);
    });


    $(document).on("click", ".ytselect", function () {
        let total = youtubevideos.rows({ selected: true }).count();
        $(".totalSelected").text(total);
    });

    $(document).on("click", ".playvideo", function (e) {
        e.preventDefault();
        let tr = $(this).closest("tr");
        let row = youtubevideos.row(tr).data();
        $(".play-title").text(row.title);
        $("#PlayModal").modal({ backdrop: "static", keyboard: false, show: true });
        let player = '<iframe width="100%" height="250" class src="https://www.youtube.com/embed/' + row.id + '" title="YouTube video player" frameborder="0" allow="accelerometer; autoplay; clipboard-write; encrypted-media; gyroscope; picture-in-picture" allowfullscreen></iframe>';
        $("#youtubeplayer").html(player);
        $("#description").html(row.description);
    });

    $(document).on("blur", ".rename_title", function () {
        let value = $(this).val();
        let td = $(this).parent();
        youtubevideos.cell(td).data(value);
    });

    var YtVideos = [];
    var YtUploaded = 0;
    var YtTotal = 0;
    var YtFaileds = 0;
    var YtUploading;

    function UploadYtVideos() {
        let objvideo = YtVideos.shift();
        let formData = new FormData($("#youtubeform")[0]);
        formData.append('youtube_id', objvideo.id)
        formData.append('title', objvideo.title);
        formData.append('thumb_url', objvideo.thumbnail)
        $.ajax({
            type: "POST",
            url: location.pathname,
            dataType: "json",
            data: formData,
            processData: false,
            contentType: false,
            async: true,
            success: function (resp) {
                if (resp.status == true) {
                    youtubevideos.row("#" + objvideo.id).deselect();
                    if ($("#" + objvideo.id).hasClass("bg-warning")) {
                        $("#" + objvideo.id).removeClass("bg-warning");
                    }
                    if ($("#" + objvideo.id).hasClass("bg-danger")) {
                        $("#" + objvideo.id).removeClass("bg-danger");
                    }
                    $("#" + objvideo.id).addClass("bg-success");
                    YtUploaded++;
                    $(".totalSuccess").text(YtUploaded);
                }
                else {
                    YtFaileds++;
                    youtubevideos.row("#" + objvideo.id).deselect();
                    $("#" + objvideo.id).addClass("bg-warning");
                    $(".totalFaileds").text(YtFaileds);
                    console.log(resp.message);
                }
                $(".totalSelected").text((YtTotal - YtFaileds) - YtUploaded);
            },
            error: function () {
                YtFaileds++;
                youtubevideos.row("#" + objvideo.id).deselect();
                $(".totalSelected").text((YtTotal - YtFaileds) - YtUploaded);
                $("#" + objvideo.id).addClass("bg-danger");
                $(".totalFaileds").text(YtFaileds);
            }
        });

        if (YtVideos == '') {
            StopYtUpload()
            return false;
        }
        YtUploading = setTimeout(function () {
            UploadYtVideos();
        }, YT_UPLOAD_INTERVAL);
    }

    function StopYtUpload() {
        clearTimeout(YtUploading);
    }

    $(".yt-stop").on("click", function () {
        StopYtUpload();
    });


    $("#youtubeform").on("submit", function (e) {
        e.preventDefault();
        if ($("#quality").val().length < 1) {
            swal('Error', "Please select max quality!", 'warning');
            return false;
        }
        let YtTableData = youtubevideos.rows({ selected: true });
        YtVideos = YtTableData.data().toArray();
        YtTotal = YtTableData.count();

        if (YtTotal < 1) {
            swal('Error', "Atleast select 1 video!", 'warning');
            return false;
        }
        YtUploaded = 0;
        YtFaileds = 0;
        UploadYtVideos();
    });

    $("#ytSearchform").on("submit", function () {
        let val = $("#ytSearchform_ytquary").val();
        let max = $("#ytSearchform_maxresults").val();
        if (val.length < 3) {
            swal('Error', "Atleast 3 character enter and submit!", 'warning');
            return false;
        }
        if (max < 1) {
            swal('Error', "Max Result cannot be less than 1!", 'warning');
            return false;
        }

        return true;
    });

    //End YoutubeUploads


    //Start Multiple Videos

    var multiplevideos = $(".multiplevideos").DataTable({
        pageLength: 50,
        rowId: 'id',
        dom:
            "<'row'<'col-sm-3'l><'col-sm-3'B><'col-sm-3'f>>" +
            "<'row'<'col-sm-12'tr>>" +
            "<'row'<'col-sm-5'i><'col-sm-7'p>>",
        buttons: [
            {
                text: '<i class="fas fa-eye"></i> Columns',
                extend: "colvis",
                className: "btn btn-light",
            },
        ],
        stateSave: true,
        processing: true,
        serverSide: true,
        orderable: false,
        select: {
            style: 'multi',
            selector: 'td:first-child'
        },
        ajax: location.href,
        columns: [
            { data: 'checkbox', name: 'checkbox' },
            {
                data: 'name', name: 'name',
                render: function (name) {
                    return '<input type="text" value="' + name + '" class="form-control rename_multi_name">';
                }
            },
            {
                data: 'size', name: 'size',
            },
            {
                data: 'modifiedAt', name: 'modifiedAt',

            },

            {
                data: "path", name: "path",
                render: function (path) {
                    return '<button type="button" class="fmdelete btn btn-danger btn-sm" value="' + path + '"><i class="fas fa-trash"></i> Delete</button>';
                }
            }
        ],
        columnDefs: [
            { className: 'select-checkbox multiSelect', targets: 0, width: 15 },
            {
                targets: [-1, -2, -3],
                visible: false
            },
            { targets: [3], width: 15 },
            { targets: [2], width: 50 },
            { targets: [1, 2], searchable: true, orderable: true },
            { targets: '_all', searchable: false, orderable: false },
        ]
    });

    $('input[name=multiVideoSelect]').on("click", function () {
        if ($(this).prop("checked") == true) {
            $("#datalist").DataTable().rows().select();
        } else {
            $("#datalist").DataTable().rows().deselect();
        }
        let total = multiplevideos.rows({ selected: true }).count();
        $(".totalSelected").text(total);
    });

    $(document).on("click", ".multiSelect", function () {
        let total = multiplevideos.rows({ selected: true }).count();
        $(".totalSelected").text(total);
    });

    $(document).on("blur", ".rename_multi_name", function () {
        let value = $(this).val();
        let td = $(this).parent();
        multiplevideos.cell(td).data(value);
    });


    $(document).on("click", ".fmdelete", function (e) {
        e.preventDefault();
        $(this).attr("disabled", "disabled");
        let path = $(this).val();
        if (path.length > 1) {
            $.ajax({
                url: fmDelete,
                dataType: "json",
                type: "POST",
                data: {
                    _method: 'DELETE',
                    path: path,
                }
            }).done(function (resp) {
                if (resp.status == true) {
                    multiplevideos.ajax.reload();
                } else {
                    swal("Error", "Error to delete file!", 'warning');
                }
            }).fail(function () {
                swal("Error", "Error to delete file!", 'warning');
            });
        }
    });



    var MultiVideos = [];
    var MultiUploaded = 0;
    var MultiTotal = 0;
    var MultiFaileds = 0;
    var MultiUploading;

    function UploadMultiVideos() {
        let objMultiVideo = MultiVideos.shift();
        let formData = new FormData($("#multiplevideoform")[0]);
        formData.append('title', objMultiVideo.name);
        formData.append('disk', objMultiVideo.disk)
        formData.append('path', objMultiVideo.path);
        $.ajax({
            type: "POST",
            url: location.pathname,
            dataType: "json",
            data: formData,
            processData: false,
            contentType: false,
            async: true,
            success: function (resp) {
                if (resp.status == true) {
                    multiplevideos.row("#" + objMultiVideo.id).deselect();
                    if ($("#" + objMultiVideo.id).hasClass("bg-warning")) {
                        $("#" + objMultiVideo.id).removeClass("bg-warning");
                    }
                    if ($("#" + objMultiVideo.id).hasClass("bg-danger")) {
                        $("#" + objMultiVideo.id).removeClass("bg-danger");
                    }
                    $("#" + objMultiVideo.id).addClass("bg-success");
                    MultiUploaded++;
                    $(".totalSuccess").text(MultiUploaded);
                }
                else {
                    MultiFaileds++;
                    multiplevideos.row("#" + objMultiVideo.id).deselect();
                    $("#" + objMultiVideo.id).addClass("bg-warning");
                    $(".totalFaileds").text(MultiFaileds);
                    console.log(resp.message);
                }
                $(".totalSelected").text((MultiTotal - MultiFaileds) - MultiUploaded);
            },
            error: function () {
                MultiFaileds++;
                multiplevideos.row("#" + objMultiVideo.id).deselect();
                $(".totalSelected").text((MultiTotal - MultiFaileds) - MultiUploaded);
                $("#" + objMultiVideo.id).addClass("bg-danger");
                $(".totalFaileds").text(MultiFaileds);
            }
        });

        if (MultiVideos == '') {
            StopMultiUpload()
            return false;
        }
        MultiUploading = setTimeout(function () {
            UploadMultiVideos();
        }, MULTI_UPLOAD_INTERVAL);
    }

    function StopMultiUpload() {
        clearTimeout(MultiUploading);
    }

    $(".multi-stop").on("click", function () {
        StopMultiUpload();
    });


    $("#multiplevideoform").on("submit", function (e) {
        e.preventDefault();

        let MultiTableData = multiplevideos.rows({ selected: true });
        MultiVideos = MultiTableData.data().toArray();
        MultiTotal = MultiTableData.count();

        if (MultiTotal < 1) {
            swal('Error', "Atleast select 1 video!", 'warning');
            return false;
        }
        MultiUploaded = 0;
        MultiFaileds = 0;
        UploadMultiVideos();
    });




    //End multiple videos


    //Start Categories


    var categories = $('.categories').DataTable({
        order: [[0, 'desc']],
        rowId: 'id',
        orderable: false,
        stateSave: true,
        processing: true,
        serverSide: true,
        select: {
            style: "multi",
            selector: 'td:nth-child(1)',
        },
        ajax: URL_CATEGORY,
        createdRow: function (row) {
            $(row).addClass('row-context-menu');
        },
        columns: [
            { data: 'id', name: 'id' },
            {
                data: 'media', name: 'media', orderable: false, searchable: false,
                render: function (image) {
                    return image != "" ? '<img class="zoomImage" src="' + image + '" alt="Thumb" width="50">' : '';
                }
            },
            { data: 'name', name: 'name' },
            { data: 'childrens_count', name: 'childrens_count' },
            { data: 'active', name: 'active' },
            { data: 'updated_at', name: 'updated_at' },
            { data: 'ord', name: 'ord' },
        ],
        columnDefs: [
            { className: "explore-cat", "targets": [2] },
            {
                width: 15,
                targets: [0, 1, -4, -3, -2, -1],
            }
        ]
    });



    $(document).on("click", ".explore-cat", function () {
        let tr = $(this).closest('tr');
        let row = categories.row(tr);
        let rowData = row.data();
        if (rowData.childrens_count > 0) {
            $(".heading").html('<i class="fas fa-fw fa-list"></i> ' + rowData.name);
            $(".breadcrumb").show();
            categories.ajax.url(rowData.url).load();
        }
    });

    $(document).on("click", ".categoryBack", function (e) {
        e.preventDefault();
        $(".breadcrumb").hide();
        $(".heading").html('<i class="fas fa-fw fa-list"></i> Categories');
        categories.ajax.url(URL_CATEGORY).load();
    });


    $(".submitDelete").on("click", function (e) {
        e.preventDefault();
        swal({
            title: "Are you sure to delete?",
            text: "You will not be able to recover this!",
            type: "warning",
            showCancelButton: true,
            cancelButtonClass: "btn-warning",
            confirmButtonClass: "btn-danger",
            confirmButtonText: "Yes, delete it!",
            cancelButtonText: "No, cancel!",
            closeOnConfirm: false,
            closeOnCancel: false,
            showLoaderOnConfirm: true
        },
            function (isConfirm) {
                if (isConfirm) {
                    $("#deleteForm").trigger("submit");
                } else {
                    swal.close();
                }
            });
    });

    //End Categories


    $('.videos').DataTable({
        order: [[0, 'desc']],
        // dom: "Blfrtip",

        dom:
            "<'row'<'col-sm-3'l><'col-sm-6 text-center'B><'col-sm-3'f>>" +
            "<'row'<'col-sm-12'tr>>" +
            "<'row'<'col-sm-5'i><'col-sm-7'p>>",
        buttons: [
            {
                text: '<i class="fas fa-eye"></i> Columns',
                extend: "colvis",
                className: "btn btn-light",
            },
        ],
        rowId: 'id',
        orderable: false,
        stateSave: true,
        processing: true,
        serverSide: true,
        select: {
            style: "multi",
            selector: 'td:nth-child(1)',
        },
        ajax: URL_VIDEOS,
        createdRow: function (row) {
            $(row).addClass('row-context-menu explore-info');
        },
        columns: [
            { data: 'id', name: 'id' },
            {
                data: 'media', name: 'media',
                render: function (image) {
                    return image != "" ? '<img class="zoomImage" src="' + image + '" alt="Thumb" width="50">' : '';
                }
            },
            { data: 'title', name: 'title' },
            { data: 'youtube_id', name: 'youtube_id' },
            {
                data: 'category', name: 'category.id',
                render: function (data) {
                    if (data == null) {
                        return "";
                    }
                    return "<a href=" + URL_CATEGORY + "/" + data.id + ">" + data.name + "</a>";
                },
            },
            {
                data: 'user', name: 'user.id',
                render: function (data) {
                    if (data == null) {
                        return "";
                    }
                    return "<a href=" + URL_USERS + "/" + data.id + ">" + data.name + "</a>";
                },
            },
            { data: 'today_views', name: 'today_views' },
            { data: 'views', name: 'views' },
            { data: 'likes', name: 'likes' },
            { data: 'unlikes', name: 'unlikes' },
            { data: 'is_download', name: 'is_download' },
            { data: 'featured', name: 'featured' },
            { data: 'is_uploaded', name: 'is_uploaded' },
            { data: 'active', name: 'active' },
            { data: 'published_at', name: 'published_at' },
            { data: 'updated_at', name: 'updated_at' },
        ],
        columnDefs: [
            {
                targets: [3, 4, 5, 6, 7, 8, 9, 10, 11],
                visible: false
            },
            { className: "view-info", "targets": [2] },
            { targets: [1, 3, 4, 5], orderable: false, searchable: false },
            {
                width: 15,
                targets: [0, 1, -6, -5, -4, -3, -2, -1],
            }

        ]
    });

    $('.users').DataTable({
        stateSave: true,
        processing: true,
        serverSide: true,
        order: [[0, 'desc']],
        rowId: 'id',
        select: {
            style: "multi",
            selector: 'td:first-child',
        },
        ajax: URL_USERS,
        createdRow: function (row) {
            $(row).addClass('row-context-menu explore-info');
        },
        columns: [
            { data: 'id' },
            { data: 'name' },
            { data: 'email' },
            {
                name: 'roles.name',
                data: 'roles',
                render: function (data) {
                    let roles = '';
                    let colors = ['badge-primary', 'badge-secondary', 'badge-success', 'badge-danger', 'badge-warning', 'badge-info'];
                    let i = 0;
                    $.each(data, function (index, value) {
                        roles = roles + '<span class="badge ' + colors[i] + '">' + value.name + '</span>';
                        if (colors.length > i) {
                            i++;
                        } else {
                            i = 0;
                        }
                    });
                    return roles;
                },
                orderable: false
            },
            { data: 'created_at' },
            { data: 'updated_at' }
        ],
        columnDefs: [
            {
                width: 30,
                targets: [0, -1, -2]
            }
        ],
    });


    $('.roles').DataTable({
        stateSave: true,
        processing: true,
        serverSide: true,
        order: [[1, 'desc']],
        rowId: 'id',
        select: {
            style: "multi",
            selector: 'td:first-child',
        },
        ajax: URL_ROLES,
        createdRow: function (row) {
            $(row).addClass('row-context-menu explore-info');
        },
        columns: [
            { data: 'id' },
            { data: 'name' },
        ],
        columnDefs: [
            {
                width: 50,
                targets: 0,
            }
        ]
    });


    //Playlist

    $('.playlists').DataTable({
        order: [[0, 'desc']],
        rowId: 'id',
        orderable: false,
        stateSave: true,
        processing: true,
        serverSide: true,
        select: {
            style: "multi",
            selector: 'td:nth-child(1)',
        },
        ajax: location.href,
        createdRow: function (row) {
            $(row).addClass('row-context-menu explore-info');
        },
        columns: [
            { data: 'id', name: 'id' },
            {
                data: 'media', name: 'media', orderable: false, searchable: false,
                render: function (image) {
                    return image != "" ? '<img class="zoomImage" src="' + image + '" alt="Thumb" width="50">' : '';
                }
            },
            { data: 'name', name: 'name' },
            { data: 'videos_count', name: 'videos_count', searchable: false },
            { data: 'active', name: "active", searchable: false },
            { data: 'updated_at', name: 'updated_at' },
        ],
        columnDefs: [
            {
                width: 15,
                targets: [1, -1, -2, -3, 0],
            }
        ]
    });

    //Pageas

    $('.pages').DataTable({
        order: [[0, 'desc']],
        rowId: 'id',
        orderable: false,
        stateSave: true,
        processing: true,
        serverSide: true,
        select: {
            style: "multi",
            selector: 'td:nth-child(1)',
        },
        ajax: location.href,
        createdRow: function (row) {
            $(row).addClass('row-context-menu explore-info');
        },
        columns: [
            { data: 'id', name: 'id' },
            { data: 'title', name: 'title' },
            { data: 'active', name: "active", searchable: false },
            { data: 'ord', name: 'ord', searchable: false },
            { data: 'updated_at', name: 'updated_at' },
        ],
        columnDefs: [
            {
                width: 15,
                targets: [0, -1, -2, -3],
            }
        ]
    });

    $('.playlistsvideos,.uservideos').DataTable({
        order: [[2, 'desc']],
        rowId: 'id',
        orderable: false,
        stateSave: true,
        processing: true,
        serverSide: true,
        select: {
            style: "multi",
            selector: 'td:nth-child(1)',
        },
        ajax: location.href,
        createdRow: function (row) {
            $(row).addClass('row-context-menu');
        },
        columns: [
            { data: 'id', name: 'id' },
            { data: 'title', name: 'title' },
            { data: 'updated_at', name: 'updated_at' },
        ],
        columnDefs: [
            {
                width: 15,
                targets: [0, -1],
            }
        ]
    });

    $(".addVideoList").select2({
        theme: "bootstrap4",
        ajax: {
            url: "../" + URL_VIDEOS_LIST_ADD,
            data: function (params) {
                var query = {
                    q: params.term,
                };
                return query;
            },
        },
    });

    $(".addPlaylists_Select").select2({
        theme: "bootstrap4",
        ajax: {
            url: URL_PLAYLIST_JSON,
            data: function (params) {
                var query = {
                    q: params.term,
                };
                return query;
            },
        },
    });

    $("#category_id").select2({
        theme: "bootstrap4"
    });

    if ($('#largeFileUploader').length) {
        let browseFile = $('#largeFileUploader');
        let addedFiles = 0;
        let uploadComplete = 0;
        let uploadFaileds = 0;

        let resumable = new Resumable({
            target: browseFile.data("href"),
            query: {
                _token: $('meta[name="csrf-token"]').attr('content'),
                dir: $("#fmDir").length ? $("#fmDir").val() : ''
            }, // CSRF token
            chunkSize: window.uploads.chunkSize,
            maxFiles: window.uploads.maxFiles,
            headers: {
                'Accept': 'application/json'
            },
            fileType: ['mp4', 'wmv', 'avi', 'mkv', 'webm'],
            testChunks: false,
            throttleProgressCallbacks: 1,
        });


        resumable.assignBrowse(browseFile[0]);

        resumable.on('filesAdded', function (array) {
            if ($("#file_path").length && window.uploads.maxFiles == 1) {
                $("#file_path").val("");
            }
            addedFiles = array.length;
            uploadComplete = 0;
            uploadFaileds = 0;
            showProgress();
            resumable.upload();
        });

        resumable.on('fileProgress', function (file) {
            let processing = Math.floor(file.progress() * 100);
            if (processing) {
                updateProgress(processing);
            } else {
                updateStatusProgress("Uploading...");
            }
        });

        resumable.on('fileSuccess', function (file, response) {
            console.log("Success: " + file.fileName);
            uploadComplete++;
            updateProgress(100);
            if ($("#file_path").length && window.uploads.maxFiles == 1) {
                let res = JSON.parse(response);
                $("#file_path").val(res.path);
                let file_name = res.path.split("/");
                file_name = decodeURIComponent(file_name.pop()).replace(/[+]/g, " ");
                $("#file_url").val("File: " + file_name);
                $("#file_name").val(file_name);

            }
        });


        resumable.on('fileError', function (file, response) {
            uploadFaileds++;
            console.log("Error: " + file.fileName);
            swal("Error", "Error to upload: " + file.fileName, 'warning');
        });

        resumable.on('complete', function () {
            setTimeout(function () {
                hideProgress();
            }, 2000);
            let message = "Total Success: " + uploadComplete + "\nTotal Failed: " + uploadFaileds;
            if ($("#multiplevideoform").length) {
                multiplevideos.ajax.reload();
            }
            swal("Success", message, 'success');
        });


        let progressDiv = $("#progress");
        let progress = $('.progress');

        function showProgress() {
            if ($("#fmDir").length) {
                $("#fmDir").attr("readonly", "readonly");
            }
            progress.find('.progress-bar').css('width', '0%');
            progress.find('.progress-bar').html('0%');
            progressDiv.show();
        }

        function updateProgress(value) {
            progress.find('.progress-bar').css('width', `${value}%`);
            progress.find('.progress-bar').html(`${value}%`);
            progressDiv.find('.progressStatus').text(uploadComplete + " of " + addedFiles);
        }

        function updateStatusProgress(status) {
            progress.find('.progress-bar').css('width', "100%");
            progress.find('.progress-bar').html(status);
            progressDiv.find('.progressStatus').text(uploadComplete + " of " + addedFiles);
        }

        function hideProgress() {
            if ($("#fmDir").length) {
                $("#fmDir").removeAttr("readonly");
            }
            progressDiv.hide();
        }
    }

});